Contents - SCIPUFFgui Help

SCIPUFFgui Help -- Contents

About SCIPUFFgui

Overview of SCIPUFFgui

SCIPUFFgui Help Areas

• Step through HELP!

• Go to Index


About SCIPUFFgui

SCIPUFF (Second-order Closure Integrated Puff) is an advanced Lagrangian, Gaussian puff model developed by:

SAGE MANAGEMENT
Princeton Junction, NJ 08550
Phone: (609) 452-2950
Fax: (609) 452-2856

© Copyright 2013, Sage Management. All rights reserved.


ACRONYMS - SCIPUFFgui

SCIPUFFgui ACRONYMS

Alphabetical table defining acronyms
CLOUDTRANS | CLOUD Translation
GMT | Greenwich Mean Time
MC-SCIPUFF | Mass Consistent SCIPUFF
MEDOC | Multiscale Environmental Dispersion Over Complex terrain
SCIPUFFgui | Personal Computer SCIPUFF
SCIPUFF | Second-order Closure Integrated PUFF model
UTC | Universal Time Convention


Audit Setup

The audit section contains descriptive information for identifying the project.

Audit Editor

Icons

Passive

Dynamics

Push Buttons

Load

Copies an existing audit section into the current project. This information is read from the input file, ProjectName.inp, specified through the OpenFile dialog box.

Default

Enters the default values into the edit boxes.

OK

Returns to the previous screen with the new audit setup.

Cancel

Returns to the previous screen without changes.

Project Description

Edit Boxes

Name

The project name. This parameter cannot be edited from this screen.

Path

The path where the project is stored. This parameter cannot be edited from this screen.

Title

The project title.

Default: Blank (no title)

Analyst

The name of the person creating the project.

Default: Blank (no analyst)

Creation Date

The date that the project is created. This parameter cannot be edited from this screen.

SCIPUFF Version

The SCIPUFFgui version number. This parameter cannot be edited from this screen.

Mode

Dynamics

Static Puffs


AVS Format

AVS-Compatible ASCII UCD file format

SCIPUFFgui can export plots in the AVS (Application Visualization System)-compatible UCD (Unstructured Cell Data) file format. The format of the file is shown below.

#Comments

Nnode, Ncell, NnodeData, NcellData, NmodelData

Nid, x, y, z (Nnode lines)

.

.

.

Cid, Sid, Typ, N1, N2, NN (Ncell lines)

.

.

.

NnodV, NN1,NN2...NNNnodV

Nlabel, Nunits (NnodV lines)

.

.

.

Nid, Ndat1, Ndat2,...NdatNnodeData (Nnode lines)

.

.

.

NcelV, NC1, NC2...NCNcelV

Clabel, Cunits (NcelV lines)

.

.

.

Cid, Cdat1, Cdat2,...CdatNcellData (Ncell lines)

.

.

.

NmodV, NM1, NM2...NMNmodV

Mlabel, Munits (Nmodv lines)

.

.

.

Mid, Mdat1, Mdat2,...MdatNmodelData (NMod lines)

.

.

.

SCIPUFFgui provides comments in the header with information to identify the data.

Variables:

Nnode | Total number of nodes
Ncell | Total number of cells
NnodeData | Total number of data values for each node (=1)
NcellData | Total number of data values for each cell (=0)
NmodelData | Total number of data values for each model(=0)
Nid | Node number
x,y,z | Node location
Cid | Cell Number
Sid | Surface number (=1)
Typ | Cell type (=tri)
N1, N2...NN | Node numbers identifying the cell vertices (N=3)
NnodV | Number of nodal data data sets (=1)
NN1 ,NN2...NNNnodV | Number of nodal data values in each set (=1)
Nlabel | Nodal data set label
Nunits | Nodal data set units
Ndat1,Ndat2,...NdatNnodeData | Nodal data values
NcelV | Number of cell data data sets (not on file)*
NC1,NC2...NCNcelV | Number of cell data values in each set (not on file)*
Clabel | Cell data set label (not on file)*
Cunits | Cell data set units (not on file)*
Cdat1,Cdat2,...CdatNcellData | Cell data values (not on file)*
NmodV | Number of model data data sets (not on file)*
NM1, NM2...NMNmodV | Number of cell data values in each set (not on file)*
Mlabel | Model data set label (not on file)*
Munits | Model data set units (not on file)*
Mid | Model number (not on file)*
Mdat1,Mdat2,...MdatNmodelData | Model data values (not on file)*

Note: *Although a part of the general AVS format, this does not appear on the file exported by SCIPUFFgui since NcellData and NmodelData are 0.

Sample AVS Export File

#Comments identifying data

.

.

.

2257 4474 1 0 0

1 126.200 34.2000 .000000

2 126.600 34.2000 .000000

3 126.600 34.6000 .000000

4 126.200 34.6000 .000000

.

.

.

2255 129.800 37.0000 .000000

2256 129.800 37.4000 .000000

2257 129.800 37.8000 .000000

1 1 tri 1 2 3

2 1 tri 1 3 4

3 1 tri 4 3 5

.

.

.

4472 1 tri 1900 2256 1901

4473 1 tri 1901 2256 2257

4474 1 tri 1901 2257 1902

1 1

C, KG/M3

1 1.000000E-30

2 1.000000E-30

3 1.000000E-30

.

.

.

2255 1.000000E-30

2256 1.000000E-30

2257 1.000000E-30


Axes

Control

Push Buttons

Default

Resets all axes parameters to their defaults.

Cancel

Returns to the main plot screen without changes.

OK

Returns to the main plot screen with new settings.

Coordinates

The display coordinate system, Lat/Lon (degrees) or Cartesian (km), can be selected by the user. If it differs from the project coordinate system defined in the Domain Setup, a coordinate transformation is performed based on the Reference Point displayed (and possibly set) below.

To set the display coordinates in Lat/Lon when the project coordinates are Cartesian, the Reference Point must have been set in the Domain Setup or must be set in the Reference Point box below. This is not the case when setting Cartesian display coordinates with Lat/Lon project coordinates since a default Reference Point can be defined, as described below. The default display coordinate system is the same as that of the project. If the coordinate type is Lat/Lon, the plot boundaries are positive East and North.

Radio Buttons

Lat/Lon

Cartesian

Reference Points

This section is enabled only if the reference point has not been defined in the Domain Setup.

Edit Boxes

X,Y

The Cartesian coordinates of the reference point in kilometers.

Default: (0., 0)

E,N

The longitude and latitude coordinates of the reference point specified in the X,Y edit boxes.

Default: Center of the domain if project coordinates are Lat/Lon; none if project coordinates are Cartesian.

Axes

Edit Boxes

Min X, Min Y, Max X, Max Y

The plot axes minima and maxima given in degrees for Lat/Lon display coordinates and km for Cartesian display coordinates. If Scale is used, the axes limits should be set accordingly, i.e., the values entered here should be appropriate for the display domain after the coordinates have be multiplied by Scale.

Default: The project domain limits used in the SCIPUFFgui calculation (transformed if the display coordinates are different from the project coordinates).

Ticks

The number of major divisions for labeling along the x and y axes.

Default: 5

Scale

The axes multiplication factor. For example, to convert from kilometers to meters, Scale is set to 1000.

Default: 1

Format

The display format of the axes values. The standard FORTRAN format convention is used and must be enclosed in parentheses.

Default: (f 9.1)

Labels

Check Boxes

Show labels X, Show labels Y

Character string labels are displayed along the axes.

Edit Boxes

X, Y

The character string labels that are displayed along each axis.

Default: "Latitude" and "Longitude" for Lat/Lon display coordinates and "X (km)" and "Y (km)" for Cartesian display coordinates.


Boundary Layer - Calculated

SCIPUFFgui calculates surface heat flux using a surface energy balance model. Boundary layer height is estimated from an evolution equation which models growth from convectively- and mechanically-driven entrainment into the overlying stable air.

Boundary Layer Parameters

Edit Boxes

Bowen Ratio

The ratio of surface sensible heat flux to latent heat flux. See Bowen Ratio Table for typical values.

Default: 0.5

Albedo

The fraction of incident light that is reflected by the surface. See Albedo Table for typical values.

Default: 0.15

Cloud Cover

The fractional cloud cover where completely overcast is 1 and clear is 0.

Default: 0


Boundary Layer - MEDOC

Boundary Layer - MEDOC Gridded Data

SCIPUFFgui reads boundary layer observations (mixing heights and surface heat flux) from a MEDOC file. This option is only available if the Weather Data Type is also MEDOC Gridded Data.

See Also:

Gridded Input Format

Boundary Layer Parameters

No input given.


Boundary Layer - None

Specifying no boundary layer implies that no small-scale turbulence is included in the SCIPUFFgui dispersion calculation. This should only be used under special circumstances such as conducting simple advection tests.

Boundary Layer Parameters

No input required.


Boundary Layer - Observations

SCIPUFFgui uses observations of boundary layer mixing height (ZI) and surface heat flux (HFLUX) or Pasquill-Gifford-Turner stability class (PGT) or Monin-Obukhov length (MOL) that are contained on a SURFACE or PROFILE observations file. MOL supersedes PGT and HFLUX. PGT supersedes HFLUX. PGT and MOL may be used with out specifying ZI and assumed mixing heights will be used. ZI must be provided if HFLUX is used.

See Also:

Observational Input Format.

Boundary Layer Parameters

No input given.


Boundary Layer - Operational

SCIPUFFgui uses boundary layer Observations if available. If not, the boundary layer is Calculated. Also, if one of the two required observational boundary layer variables is provided, surface heat flux (HFLUX) or boundary layer height (ZI), SCIPUFFgui will use the one that is supplied in its calculations.

Note: If Pasquill-Gifford-Turner stability class (PGT) or Monin-Obukhov Length (MOL) is provided without boundary layer mixing heights, SCIPUFFgui uses assumed boundary layer mixing heights and the boundary layer type is considered to be Observations.

Boundary Layer Parameters

No input given.


Boundary Layer - Profile

SCIPUFFgui reads boundary layer profiles from the PROFILE observations file. In this case, the upper air file can only contain a single profile. The boundary layer variables include the shear-driven lateral velocity variance (UU), the buoyancy-driven lateral velocity variance (VV), the vertical velocity variance (WW), the boundary layer heat flux (WT), the shear-driven turbulence scale (SZ) and the buoyancy-driven turbulence scale (SL).

See also Observational Input Format.

Boundary Layer Parameters

No input given.


Boundary Layer - Simple Diurnal

SCIPUFFgui allows for very simple estimates of boundary layer height and surface height flux using simple functional forms with user-specified nighttime and daytime values.

Boundary Layer Parameters

Edit Boxes

Inversion Height (m) - Nighttime and Daytime

The minimum and maximum diurnal inversion heights used in calculations of boundary layer parameters.

Default: minimum = 50 / maximum = 1000

Sensible heat flux (W/m2) - Nighttime and Daytime

The minimum and maximum daily surface heat fluxes used in calculations of boundary layer parameters.

Default: minimum = 0 / maximum = 50


Boundary Layer Type

Defining the mean wind and turbulence profiles is essential in characterizing the transport and turbulent diffusion rates in the planetary boundary layer (the lowest 1 to 2 km of the atmosphere next to the earth's surface). The important parameters governing boundary layer profiles are the surface roughness, surface heat flux and boundary layer depth. These parameters are defined or calculated according the boundary layer type.

Boundary layer type:

• None

• Simple Diurnal

• Calculated

• Observations

• Profile

• MEDOC gridded data

• Operational


Clear All Bin Boundaries

Clear All Values

Push Buttons

Yes

Deletes all values from the list.

No

Returns to the previous screen without changes.


Compute Bin Boundaries

Push Buttons

OK

Adds the computed values to the list.

Cancel

Returns without adding any new values.

Show Results

Performs the calculation and displays the values in the list box below this push button.

Size Bin Boundary Generator

Edit Boxes

Number of Bins

The number of size bins to be generated.

Default: NONE - Must be specified.

Minimum (microns)

The minimum bin boundary.

Default: NONE - Must be specified.

Maximum (microns)

The maximum bin boundary.

Default: NONE - Must be specified.

Radio Buttons

Linear

Calculates a distribution of values with uniform spacing based on the number of values and the specified minimum and maximum.

Logarithmic

Calculates a distribution of values with logarithmic spacing based on the number of values and the specified minimum and maximum.


Compute Contours

Push Buttons

OK

Adds the computed values to the list.

Cancel

Returns without adding any new values.

Show Results

Performs the calculation and displays the values in the list box below this push button.

Contour generator

Edit Boxes

Number of Contours

The number of contours to be generated.

Default: NONE - Must be specified.

Minimum contour

The minimum contour.

Default: NONE - Must be specified.

Maximum contour

The maximum contour.

Default: NONE - Must be specified.

Radio Buttons

Linear

Calculates a distribution of values with uniform spacing based on the number of values and the specified minimum and maximum.

Logarithmic

Calculates a distribution of values with logarithmic spacing based on the number of values and the specified minimum and maximum.


Compute Vertical Grid

Push Buttons

OK

Adds the computed values to the list.

Cancel

Returns without adding any new values.

Show Results

Performs the calculation and displays the values in the list box below this push button.

Vertical grid generator

Edit Boxes

No. of grid points

The number of grid points to be generated.

Default: NONE - Must be specified.

Minimum height

The minimum grid height in meters.

Default: NONE - Must be specified.

Maximum height

The maximum grid height in meters.

Default: NONE - Must be specified.

Radio Buttons

Linear

Calculates a distribution of values with uniform spacing based on the number of values and the specified minimum and maximum.

Logarithmic

Calculates a distribution of values with logarithmic spacing based on the number of values and the specified minimum and maximum.


Contour Options - Nonuniform Contour Spacing

Contours Options - Nonuniform contour spacing

Options

Display Box

Contour Values

Display of contour values.

Push Buttons

Edit

Changes the selected contour value to a new value.

New

Adds a new contour value to the list.

Delete

Removes a selected contour value from the list.

Clear All

Removes all contour values from the list.

Compute

Calculates contour values based on a specified range, number of values and an assumed distribution.

Load

Copies contour values from a file into the list. This is an appending procedure, so the loaded values are added to those already in the list.

Save

Saves the current contour value list to a file.


Contour Options - Uniform Contour Spacing

Contours Options - Uniform contour spacing

Options

Edit Boxes

Approximate number

The approximate number of contours plotted. The actual number of contours are calculated based on the minimum, maximum, and increment which are either specified in this group box or determined from the display field selected.

Default: 6

Minimum value

The minimum contour level display.

Default: The minimum value of the display field.

Maximum value

The maximum contour level display.

Default: The maximum value of the display field.

Increment

The contour spacing used for displaying the selected field.

Default: Determined from the Minimum and Maximum values and the Approximate number of contours.

Radio Buttons

Log Spacing

Logarithmic plot contour spacing is used. Log spacing is the default for mean value plots.

Linear Spacing

Linear plot contour spacing is used. Linear spacing is the default for probabilistic plots.


Contours - SCIPUFFgui Plotting

SCIPUFFgui Plot Contours

The contour levels used to display the selected field can be specified with uniform spacing, nonuniform spacing or as standard levels appropriate for radiation does.

Control

Push Buttons

Defaults

Resets all contour parameters to their defaults.

Cancel

Returns to the main plot screen without changes.

OK

Returns to the main plot screen with the new settings.

Choice

Radio Buttons

Uniform contour spacing

Nonuniform contour spacing

Options

This group box structure depends on the contour choice. Refer to Choice group for more information.

Scale

Edit Boxes

Data

The value that the plotted data is scaled by.

Units

The units used for labeling the data contours.


Create/Review/Edit SCIPUFFgui Projects

Create/Review/Edit

What do you need help with?

• Creating a new project

• Reviewing the current project

• Editing the current project


Creating SCIPUFFgui Projects

A SCIPUFFgui dispersion calculation is made by creating a project, which refers to the collection of files needed for input and output by SCIPUFFgui. The project file names are all built using the ProjectName with various extensions indicating their purpose. The ProjectName and project directory location is input through the OpenFile dialog box which is activated when the New Project button is pressed. The ProjectName is entered in the File Name selection box with no extension (any extension is ignored).

To Create a SCIPUFFgui project, you must define the release scenario, the calculation start and end times, the weather input, the material properties of the release, the calculation domain, and other input parameters.

New PROJECT Editor

Push Buttons

Load

Copies an existing project setup into the current project. This information is read from the input file, ProjectName.prj, specified through the OpenFile dialog box. When loading files, a Restart check box is included with the OpenFile dialog box. If Restart is selected, the Restart Time Editor dialog box will appear when the OK button his pushed. The start time of the new project is then selected from the Restart time list box.

Clear All

Deletes all project setup input

Create Project

Creates the SCIPUFFgui project. This button is enabled only when all input sections have been defined.

Cancel

Returns to the previous screen without changes.

Input Parameters

The push buttons in each group box are active so that other information can be edited.


Delete Current Project

Delete Project

Deletes all files contained in the current project.

Project Delete Control

Push Buttons

Delete

Deletes all files in the current project.

Cancel

Returns to the previous screen without deleting project files.

Project Description

Contains information about the current project and a list of all files contained in the project.


Domain Setup

The spatial extent, coordinate system and resolution must be specified for all dispersion calculations. The released materials are not tracked outside the specified domain.

DOMAIN Editor

Push Buttons

Load

Copies an existing domain section into the current project. This information is read from the input file, ProjectName.inp, specified through the OpenFile dialog box.

Default

Enters the default values into the edit boxes.

OK

Returns to the previous screen with the new domain setup. A red check mark ( [image]) appears under the Domain push button indicating that the domain setup is complete.

Cancel

Returns to the previous screen without changes.

Domain Description

Domain reference

Radio Buttons

Lat./Lon.

Specifies the SCIPUFFgui coordinate system as Latitude/Longitude (degrees). This is the default coordinate system.

Cartesian

Specifies the SCIPUFFgui coordinate system as rectangular Cartesian (kilometers). Optionally, the user can specify a Lat./Lon. reference point for locating the Cartesian domain on the surface of the Earth. Cartesian coordinates do not account for the curvature of the Earth and should therefore be limited to domain sizes less than about 300 km.

Horizontal domain

Edit Boxes

Lat.(or X or Easting), Lon.(or Y or Modified Northing) - Minima and Maxima

The limits that determine the extent of the SCIPUFFgui dispersion calculation domain. For Lat./Lon. coordinates, the domain boundaries are positive values in degrees for East and North. Thus the minimum longitudinal coordinate is the Western edge of the domain, and the minimum latitude is the Southern edge.

For Cartesian coordinates, the domain extents are specified in kilometers.

Default: Limits must be explicitly set for observational meteorology without terrain input. For gridded meteorology or observational meteorology with terrain/mass-consistency, the limits will be determined from the meteorology or terrain grid.

Resolution (Deg. or km)

This box specifies the spacing (degrees or km) that defines the horizontal numerical resolution of the puff dispersion calculation. Smaller values generally result in longer computation times but allow for better resolution of the flow field. The horizontal growth of the puffs is controlled by the parameter MGRD set in the Options editor and is also a measure of the horizontal resolution of the dispersion calculation.

When using gridded meteorology or terrain/mass consistency, it is necessary that the default resolution (denoted by "default" in the edit box) be used. The horizontal resolution will be that of the meteorological grid. (The horizontal growth of the puffs can still be controlled with MGRD in the Options editor.)

For observational meteorology, this parameter determines the horizontal grid size used to interpolate the data.

Default: The resolution is 1/10 of the domain size for observational meteorology. For gridded data, the resolution is taken as that of the meteorology.

Vertical domain

Edit Boxes

Maximum Height (m)

The vertical extent of the calculation domain (m). The lower bound of the domain is always at the surface.

Default: 2500 m

Resolution (m)

This box specifies the spacing (m) that defines the vertical numerical resolution of the puff dispersion calculation. It should be based on the meteorology grid spacing. For example, if the vertical resolution of the meteorological data is 1000 meters, this value should be approximately 1000 meters.

Setting the resolution much less than the meteorology grid spacing does not significantly increase the accuracy of the SCIPUFFgui results but does increase the execution time. If it is set larger than the meteorology spacing, the accuracy of the SCIPUFFgui calculation may be decreased. It should be noted that the planetary boundary layer resolution is set independently in the Options section.

Default: 250 m


Dynamics

Many releases into the atmosphere involve a vertical rise phase since they are associated with heat or vertical momentum. This includes vertical jets and buoyant plumes from continuous sources, and buoyant clouds from explosive releases. The buoyant rise is important since it can strongly influence the effective release height and the initial source size for the subsequent dispersion in the atmosphere. To include the effects of dynamics on particles, the effluent gas must also be a defined release.

The project types include Passive (no Dynamics) or Dynamics (Buoyant)


Edit Bin Boundary

Edit Value

Edit Boxes

New Value

The new value.

Default: The existing value.

Push Buttons

OK

Changes the value to the new value.

Cancel

Returns to the previous screen without changes.


Editing SCIPUFFgui Projects

Information regarding the current project is displayed when Edit ProjectName is selected. The information is displayed on the same screen that appears when a new project is created with the exception of the New PROJECT Editor section replaced with PROJECT Editor section.

PROJECT Editor

Push Buttons

Load

Copies an existing project setup into the current project.

Clear All

Deletes all project setup input

Accept changes

Accepts the changes that have been made and returns to the previous screen.

Cancel changes

Returns to the previous screen without changes.

Input Parameters

The push buttons in each group box are active so that other information can be edited.


Exporting SCIPUFFgui Plots

The OpenFile dialog box is displayed with a section for specifying the file format. The available file types are:

AVS (ASCII) file

See AVS file format. May also refer to the AVS documentation.

Bitmap file

Standard Windows bitmap format.

PCSCIPUFF Overlay File

File can be drawn over a plot of the same coordinate mode in SCIPUFFgui.

Table (ASCII) File

Tabular output of the plot data in ASCII format.


Fixed Winds Data

Fixed Winds

Weather Description

Fixed Winds

Edit Boxes

Wind speed

The wind speed (at 10 meters above the surface) used in translating the effluent is held constant in space and time at this value. The units are selected from the associated list box.

Default: 4.0 m/s

Direction

The wind direction (at 10 meters above the surface) used in translating the effluent is held constant in space and time at this value. The unit is degrees. It is the direction from which the wind is blowing.

Default: 90.0 degrees


Gas Properties

Gas Parameter Editor

Push Buttons

OK

Imparts changes to the material properties.

Cancel

Returns to MATERIAL description dialog box without changes to the material properties.

Density Ratio

Edit Box

Density ratio

The density ratio of material-to-air that is used to determine buoyancy effects. Can only be edited for a Dynamic Run

Default: 1.0

Gas Deposition Velocity

Edit Box

Gas deposition velocity

The velocity (cm/s) at which the gaseous material deposits to the surface. A zero deposition velocity implies no deposition.

Default: 0.0

Minimum Concentration

Edit Box

Minimum concentration

The minimum puff concentration (material mass units/m3). A puff with a concentration less than this value does not split or distort due to velocity gradients but it may merge with other puffs. Setting this minimum value may help decrease execution time.

Default: 0.0


Gridded Input Format

Gridded Input Format (MEDOC)

SCIPUFFgui supports a gridded formats designated as MEDOC. Gridded data in other formats must first be converted to the MEDOC format.
MEDOC Format.
A MEDOC file contains a header section followed by numerical data for each time. The general format structure is illustrated below with the FORTRAN code used to read the file.

C RECORD 1 - FILE FORMAT ('FFFFFFFF' or 'BBBBBBBB')
READ (1,9001) FFLAG
C
C RECORD 2 - NOT USED IN SCIPUFF
READ (1,9001) NAMDUM
C
C RECORD 3 - TIME
READ (1,9002) IDAY,IMONTH,IYEAR,IHOUR,IMIN,ISEC
C
C RECORD 4 - NOT USED IN SCIPUFF
READ (1,9002) IDUM,IDUM,IDUM,IDUM,IDUM,IDUM
C
C RECORD 5 - NUMBER OF GRID POINTS, KEY POINTS, VARIABLES
READ (1,9002) IMAX,JMAX,KMAX,NREPER,NVAR3D,NVAR2D
C
C RECORD 6 - NOT USED IN SCIPUFF
READ (1,9002) IDUM,IDUM,IDUM,IDUM,IDUM,IDUM
C
C RECORD 7 - NOT USED IN SCIPUFF
READ (1,9002) IDUM,IDUM,IDUM
C
C RECORD 8 - GRID AND TIMING INFORMATION (KMAX+11 VALUES)
READ (1,9003) (SZ(K),K=1,KMAX),DX,DY,X0,Y0,LAT,LON,
& DUM,DUM,DUM,DUM,ZTOP
C
C RECORD 9 - NAMES AND UNITS (NREPER+2*NVAR3D+2*NVAR2D VALUES)
READ (1,9003) (NAMDUM,N=1,NREPER),
& (NAMV3D(N),N=1,NVAR3D),(NAMDUM,N=1,NVAR3D),
& (NAMV2D(N),N=1,NVAR2D),(NAMDUM,N=1,NVAR2D)
C
C RECORD 10 - NOT USED IN SCIPUFF
READ (1,9003) (DUM,N=1,3*NREPER)
C
C RECORD 11 - 3D VARIABLES
C (NVAR3D SETS OF IMAX*JMAX*KMAX VALUES)
C DO 21 N=1,NVAR3D
21 READ(1,9003) (((VAR3D(I,J,K,N),I=1,IMAX),J=1,JMAX),K=1,KMAX)
C
C RECORD 12 - 2D VARIABLES (NVAR2D SETS OF IMAX*JMAX VALUES)
C DO 41 N=1,NVAR2D
41 READ(1,9003) ((VAR2D(I,J,N),I=1,IMAX),J=1,JMAX)
C
9001 FORMAT(6(A8,1X))
9002 FORMAT(6(I12,1X))
9003 FORMAT(6(F12.4,1X))

The header section specifies the time, grid and variable names (among other things). The horizontal grid is uniform in both directions while the vertical grid is non-uniform. Although the horizontal grid is typically specified in meters, SCIPUFFgui can handle a non-standard MEDOC file where the horizontal grid is given in longitude/latitude. The vertical grid is given in meters.
The MEDOC file format illustrated above is more general than that used by SCIPUFF. Variables not used in the SCIPUFF application are indicated as dummy variables in the figure.
Variables:
IMAX, JMAX, KMAX
Number of grid points in the x, y, and z directions, respectively.
NREPER
Number of special points (not used by SCIPUFF).
NVAR3D
Number of the three-dimensional variables.
NAM3D
Names of the three-dimensional variables. The minimum requirement is the 3 velocity component fields, with the names 'U', 'V', and 'W'. SCIPUFF also reads the potential temperature with the name 'T' or absolute temperature with the name 'TA'. Additionally, the humidity ratio ('H') can also be given. Velocities are assumed to be in meters per second, temperatures in degrees Kelvin, and humidity ratio in grams moisture per grams dry air.
NVAR2D
Number of two-dimensional fields.
NAM2D
Names of the two-dimensional variables. SCIPUFF allows the following two-dimensional fields if provided: terrain elevation in meters, 'REL' or 'TOPO', inversion depth (i.e. height above surface) in meters, 'ZI' or 'PBL_HITE', and surface heat flux in watts per square meter, 'HFLX' or 'SFC_HTFX'. All other variables are ignored.
SZ
Array of KMAX vertical grid coordinates in meters. SCIPUFF assumes a terrain-following coordinate transformation.
DX,DY
Horizontal grid spacing in meters.
X0,Y0
Horizontal grid origin (SW corner) coordinates in kilometers.
LAT,LON
Horizontal grid origin (SW corner) coordinates in kilometers.
ZTOP
Vertical meteorology domain height in meters. If the parameter is not specified, the domain height is assumed to be SZ(KMAX).


Index - SCIPUFFgui Help

SCIPUFFgui Help Index

Alphabetical listing of SCIPUFFgui input areas

-A-

Acronyms

Albedo table

Audit Setup

AVS File Format

Axes

-B-

Boundary Layer

Bowen Ratio table

-C-

Continuous Release

Contours

Coordinates

Cartesian

Latitude/Longitude

Create Project

-D-

Domain Setup

Dynamics

-E-

Edit Project

-F-

Fixed winds

-G-

Gas materials

Gas properties

-H-

HPAC weather

-I-

Instantaneous Release

Interface

-L-

Large Scale Variability

-M-

Mass-consistency

Material - plot choice

Material Editor

Gas

Particle

MEDOC weather

Meteorology

Mode

-O-

Observational weather

OpenFile dialog box

Overview of SCIPUFFgui

-P-

Passive

Particle materials

Particle properties

Plotting

Area

Axes

Choice

Contours

Control

Material Choice

Options

Options Push Button

Point values

Select - Vertical Slices

Titles

Zoom

Point values

Precipitation/washout

Project

Creating

Deleting

Editing

Opening Old

Restart

Reviewing

Project coordinates

Cartesian

Latitude/Longitude

Project Types

Dynamics

No Dynamic/Passive

R-

Receptors

Input file format

Output fileformat

Release

Continuous

Instantaneous

Moving

Reference times

Review Project

Restart Capabilities

Running SCIPUFFgui

Running in batch mode

-S-

Samplers

Input file format

Output fileformat

SCIPUFF project type

Script Mode

Source description

Continuous

Instantaneous

Moving

Stack

Stack Release

Static puffs

Surface observational meteorology

Surface Roughness table

System Dialog Box

-T-

Terrain/mass-consistency

Time Setup

Titles

-U-

Upper Air observational meteorology

UTC reference time

-W-

Weather Data Types

Fixed Winds

Observations

Format

Surface Observations Only

Upper Air Observations Only

HPAC gridded data

Format

MEDOC gridded data

Format

-Z-

Zoom


Input Parameters

Defining all input parameters includes the definition of release scenario, material description, and various weather parameters. The main part of this dialog box contains 7 input sections consisting of a push button and summary window. The summary window displays a brief description of the input for that section. The push button accesses the input section to enter or modify data. A red check mark next to a window indicates that the data input has been completed for that section. All sections (except Audit) must be completed before a project can be created.

Input sections for the definition of a SCIPUFFgui project:

• Release

• Time

• Weather

• Material

• Domain

• Audit

• Options


Large Scale Variability

The SCIPUFFgui dispersion calculation accounts for mesoscale or synoptic scale variability in the wind field. This is important for long-range transport applications where the range exceeds 100 km and also for incorporating climatological variability or forecast uncertainties.

The large scale velocity fluctuations are assumed to be constrained to the horizontal plane and are characterized by a variance and length scale. These parameters may be specified by the user, computed from a theoretical model or read from a meteorology observation file. The large-scale variability is ignored by selecting None from the combo box.

Large Scale Variability Type:

• None

• Model

• Observations

• Input

• Operational


Large Scale Variability - Input

Large Scale Variability

In this mode, a single length scale and variance are used to characterize the large scale variability.

Edit Boxes

Length scale

The characteristic length scale (m) of the large scale variability.

Default: 100,000

Variance

The large scale velocity variance [image].

Default: 0


Large Scale Variability - Model

Large Scale Variability

In this mode, the length scale and variance of the large scale variability are determined from a theoretical model based on climatological statistics. The large-scale variability model used in SCIPUFF is based on research by Nastrom and Gage (1985) and a theoretical model proposed by Gifford (1988).

Nastrom and Gage analyzed GASP (Global Atmospheric Sampling Program) wind data and showed a clear spectral break at a horizontal wavelength of about 400 km, with [image] spectrum at longer wavelengths and [image] for shorter scales. Gifford argues that the large-scale behavior is consistent with the predictions of two-dimension turbulence theory, while the [image] behavior indicates three-dimensional motions in that part of the spectrum.

We assume that the upper-troposphere data is representative of the entire lower atmosphere, although there is probably some vertical variation in reality. However, no data presently exists to define these fluctuation profiles, so, the simplest assumption is made.

Furthermore, the GASP data represent long-term averages and cannot provide any relationship between the local meteorological conditions and the local smaller-scale velocity fluctuations. Use of the GASP data is therefore equivalent to a climatologically averaged spectrum. Using Gifford's suggestions and the GASP profiles, which show an increase in fluctuation variance toward the poles, the horizontal velocity variance is represented as

where [image] is the latitude, fo is twice the rotation rate of the earth and [image] is the average tropospheric energy dissipation rate. The value of [image] for [image] is suggested by Gifford, but the inverse cosine variation is an empirical factor to provide a match with the latitudinal variation observed in the GASP data. The turbulence length scale associated with these dissipative fluctuations is taken to be

where f is the Coriolis parameter defined as

The limit of 15° is necessary to avoid singularities in the equation.

The velocity variance used in the dispersion calculation depends on the resolution of the input wind fields since the turbulence input represents only the unresolved component of the wind. Using the filter scale, [image],

which is related to the wind-field resolution, we define

and

consistent with a [image] spectral behavior. The cross-correlation, [image], is assumed to be zero in the model.

No input is required for this option.


Large Scale Variability - None

Large Scale Variability

In this mode, large scale variability is ignored. This mode should be selected only for short-range transport applications, i.e., ranges less than 100 km, that do not include climatological variability.

No input is required for this option.


Large Scale Variability - Observations

Large Scale Variability

The large scale variability parameters (UL, VL and UVL) will be read from the SURFACE and/or PROFILE observation files (see Observational Input Format). The length scale must be given explicitly by the user.

Edit Boxes

Length scale

The characteristic length scale (m) of the large scale variability.

Default: 100,000


Large Scale Variablity- Operational

Large Scale Variability - Operational

Large Scale Variability

In this mode, the full effects of large scale variability are applied only when the large scale variability length scale is exceeded by the internal puff scale or by the horizontal boundary layer turbulence scale. Otherwise, a simple energy spectrum assumption is used to determine the reduced variance appropriate for diffusion on scales smaller than the cloud and boundary layer scales.

No input is required for this option.


Lat/Lon Reference Point

Latitude/Longitude Reference Point

Check Box

This box is enabled only when Cartesian coordinates are chosen. It allows the user to specify a reference point required for calculating position in a Lat./Lon. coordinate system. The reference point generally must be specified when the meteorology is given in Lat./Lon. coordinates.

When the meteorology is given in Cartesian coordinates, however, setting the reference point is optional unless calculated boundary layers is specified. An exception to this rule is if a MEDOC-format meteorology file is used which contains a Lat./Lon. reference for the lower left corner of the meteorology domain. In this case, the reference point need not be specified; setting the reference point here, however, will supersede the MEDOC file location.

Local origin

This section is enabled only if the reference point box is checked for Cartesian coordinates.

Edit Boxes

Cart. (X,Y)

The Cartesian coordinates of the reference point in kilometers.

Default: (0,0)

LLA (E,N)

The longitude and latitude coordinates of the reference point specified in the X,Y edit boxes. The coordinates can be specified in degrees or degrees/min/sec.

Default: None


Material Choice

SCIPUFFgui allows multiple materials and particle size groups. The user must select the material and also the size group, if appropriate, for display.

Material Choice

The Material Choice input area allows the user to choose the material name and the particle size group, if applicable.

Combo Boxes

Material Name

The name of the material to be displayed.

Size Group

The size group for a particle material selected for display. Total denotes the sum of all the size bin contributions when multiple size bins are specified for a particulate. This box displays only Total for a gaseous material or a single size bin particle material; ( no other choice is available.)


Material Description - GAS

Material Description

Edit Boxes

Type

The material type (GAS). This parameter cannot be edited from this box.

Name

A unique name identifying the material, up to 8 characters in length.

Default: NONE - Must be specified.

Units

The material mass units.

Default: kg

Push Buttons

Properties

Allows for the specification of gas material properties.

OK

Adds the material to the materials list.

Cancel

Returns to MATERIAL Editor without creating a new material.

Output Flags

Check boxes

Surface Dose

The time-integrated surface dose is written to ProjectName.dos

Surface Deposition

The time-integrated surface deposition is written to ProjectName.dep.

Linear Decay

Edit Boxes

Daytime Decay Rate

The maximum linear decay rate (1/s) of the material during daytime hours. The material is released with unit decay fraction, which may then decrease throughout the calculation. All output concentrations and dose fields are scaled by the decay fraction and the material is no longer a conserved tracer. The decay rate is sinusoidal with the maximum occurring at noon and is clipped at the minimum nighttime decay rate at night. In order to use a constant decay rate, the daytime and nighttime values should be set with the same value.

Default: 0.0

Nighttime Decay Rate

The minimum linear decay rate (1/s) of the material during nighttime hours.

Default: 0.0


Material Description - Particle

Material Description

Edit Boxes

Type

The material type (PART). This parameter cannot be edited from this box.

Name

A unique name identifying the material, up to 8 characters in length.

Default: NONE - Must be specified.

Units

The material mass units.

Default: kg

Push Buttons

Properties

Allows for the specification of particle material properties.

OK

Adds the material to the materials list.

Cancel

Returns to the MATERIAL Editor without creating a new material.

Output Flags

Check boxes

Surface Dose (size Bin)

The time-integrated surface dose for each size bin is written to ProjectName.dos.

Surface Deposition (size Bin)

The time-integrated surface deposition for each size bin is written to ProjectName.dep.

Surface Dose (Total)

The time-integrated surface dose, summed over all size bins, is written to ProjectName.dos.

Surface Deposition (Total)

The time-integrated surface deposition, summed over all size bins, is written to ProjectName.dep.

Linear Decay

Edit Boxes

Daytime Decay Rate

The maximum linear decay rate (1/s) of the material during daytime hours. The material is released with unit decay fraction, which may then decrease throughout the calculation. All output concentrations and dose fields are scaled by the decay fraction and the material is no longer a conserved tracer. The decay rate is sinusoidal with the maximum occurring at noon and is clipped at the minimum nighttime decay rate at night. In order to use a constant decay rate, the daytime and nighttime values should be set with the same value.

Default: 0.0

Nighttime Decay Rate

The minimum linear decay rate (1/s) of the material during nighttime hours.

Default: 0.0

Size Bins

The particle size distribution for the material is defined by a number of discrete bins. The size bins are defined in the Bin Boundaries box by copying an existing material, computing bin boundaries based on an assumed distribution or constructing bin boundaries explicitly. The bin boundaries may then be edited as desired.

The No. Size Bins displayed here is the number of bins used to define the size distribution. A single size bin indicates that all released particles of this material fall within the same bin. At least one bin must be defined.

Bin Boundaries

The bin boundaries (microns) determine the range and distribution of the particle sizes. The number of bin boundaries is always 1 greater than the number of size bins. Bin boundaries are used to calculate the increase in the vertical spread of the material due to differential gravitational settling rates, i.e., large particles fallout faster than smaller particles, increasing the vertical extent of the material.

SCIPUFFgui will use the bins set here to re-distribute material whose release distribution is defined in a CLOUDTRANS file. There is no default for the bin boundaries; at least one bin must be defined.

Push Buttons

Edit

Changes the selected bin boundary to a new value.

New

Adds a new bin boundary to the list.

Delete

Removes a selected bin boundary from the list.

Clear All

Removes all bin boundary values from the list.

Compute

Calculates bin boundaries based on a particle size range, number of bins and an assumed size distribution.

Load

Copies bin boundaries from a file into the list. This is an appending procedure, so the loaded values are added to those already in the list.

Save

Saves the current bin boundary list to a file.


Material Editor

MATERIAL Editor

Combo Box

Material List

Contains the names of the materials defined for this project.

Push Buttons

Edit

Changes the definition of the material shown in the Material List combo box.

New

Creates a new material.

Delete

Removes the material shown in the Material List combo box.

Load

Copies an existing material section into the current project. This information is read from the input file, ProjectName.inp, specified through the OpenFile dialog box.

Clear All

Deletes all material definitions from the project.

OK

Returns to the previous screen with the new materials list. A red check mark ( [image]) appears under the Material push button indicating that the materials section is complete.

Cancel

Returns to the previous screen without changes.

Material Description

This box contains the properties of the material displayed in the Materials List, if one is defined. The description varies with the type of material, Gas or Particle . The Edit push button must be used to modify the displayed material properties.


MEDOC gridded data

Weather Description

HPAC/MEDOC Winds data

Push Button

Select

Allows the user to specify the MEDOC meteorology data file through the OpenFile dialog box.

See Also:

Gridded Input Format


Meteorology Scenario

Weather

The weather section defines the wind, temperature and turbulence fields used in the SCIPUFFgui dispersion calculation. A weather scenario consists of the mean wind field and may also include a boundary layer and large-scale variability characterizing fluctuations in the wind field.

Weather Editor

Combo Boxes

Weather data type

Boundary Layer type

Large scale variability

Push Button

Load

Copies an existing meteorology scenario into the current project. This information is read from the meteorology scenario file, ProjectName.msc, specified through the OpenFile dialog box.

Default

Enters the default values into the edit boxes.

OK

Returns to the previous screen with the new weather setup. A red check mark ( [image]) appears under the Domain push button indicating that the domain setup is complete.

Cancel

Returns to the previous screen without changes.

Weather Description

Time Reference

Terrain

Surface Roughness

Precipitation

Refer to the Weather Data Type, Boundary Layer Type and Large Scale Variability for further help on input parameters.


Mode

The selection of the run mode will set selected default parameters for the run. Standard default options are more conservative than the Fast default options. When the Fast Mode is selected, the selected parameters are relaxed in order to speed up the computation time. The parameters that change are as follows:

Parameter
STANDARD
FAST
Comments
VERTICAL RESOLUTION
Default height of the vertical domain
Default vertical domain resolution
Default maximum vertical grid points
2500m

250m

15
5000m

1000m

7
These vertical grid parameters affect the vertical splitting of puffs which affects the total number of puffs. These parameters may still be overridden by the user.
HORIZONTAL RESOLUTION
Surface resolution [DELMIN]
0.0 (As needed)
  1. 160 of domain
This affects the surface grid and total number of puffs if surface evaporation is occurring. This parameter may still be overridden by the user.
MERGE CRITERIA
SiMerge (ratio of internal scales)
  1. 25
  1. 5
This allows more merging between puffs which affects the total number of puffs. This parameter may not be overridden by the user.


More SCIPUFFgui Plot Options

Control

Push Buttons

Default

Resets all options to their defaults.

Cancel

Returns to the main plot screen without changes to the options.

OK

Returns to the main plot screen with the new options settings.

Plot Parameters

Edit Boxes

Aspect Ratio

The ratio of the Y-axis length to X-axis length.

Default: 1

Size

The size of the plot relative to the size of the plot area (given as a fraction of the plot area).

Default: To fill the plot area as much as possible

Horizontal Center, Vertical Center

The center of the plot relative to the plot area (given in fractions of the plot area dimensions)

Default: Centered

Font Scaling

All of the plot text sizes are scaled by this value.

Default: 1


New Bin Boundary

New Value

More than one value may be defined by repeated use of the Add button. The dialog box stays until the OK or Cancel buttons are pushed.

Edit Boxes

New Value

The new value.

Default: NONE - Must be specified.

Push Buttons

Add

Adds the New Value to the current list. This button allows you to repeatedly add values without returning to the previous screen.

OK

Adds the New Value to the current list and returns to the previous screen.

Cancel

Returns to the previous screen without adding the New Value to the current list. However, any values already added during the current session with this dialog box remain in the list.


New Material Type

The user may define a new material either by inputting all properties explicitly or by copying an existing material and modifying properties as appropriate. There are two recognized material types: Gas and Particle. The user specifies the new material type or material to be copied in a dialog box that has the following buttons.

Radio Buttons

Gas

Particle

Copy from

Copies parameters from an already-defined material. The new material may then be modified as a gas or particle; however, the material cannot be changed to another type.

Combo Box

Copy from

Contains the current materials list, from which the user selects the material to be copied.

Push Buttons

OK

Continues with the definition of the new material.

Cancel

Returns to the previous screen without changes.


New Project Setup Screen

New Project Setup

New Project Setup

Icons

Passive

Dynamic

Push Buttons

Import

Loads an existing project into the current project. This information is read from the input file, ProjectName.prj, specified through the OpenFile dialog box. When importing files, a Restart check box is included with the OpenFile dialog box. If Restart is selected, the Restart Time Editor dialog box will appear when the OK button his pushed. The start time of the new project is then selected from the Restart time list box.

OK

Continues with the creation of a project with the given project coordinates, reference times, type.

Project coordinates

Radio Buttons

Latitude/Longitude

Specifies the SCIPUFFgui coordinate system as Latitude/Longitude (degrees). This is the default coordinate system.

Cartesian

Specifies the SCIPUFFgui coordinate system as rectangular Cartesian (kilometers). If this radio button is selected, you may check the Lat./Lon. reference point check box.

Reference times

Radio Buttons

UTC

Specifies the SCIPUFFgui time to be in the Universal Time Convention, which is equivalent to Greenwich Mean Time (GMT or Z). UTC is the default time reference.

Local

Specifies the SCIPUFFgui time to be in local time.

Edit Boxes

Local time of 00:00Z

The local time (hours:minutes) of midnight UTC. This is used to convert the meteorology time if it uses a different convention. It is also used to determine some boundary layer parameters depending on boundary layer type.

Default: 00:00

Project description

List Boxes

Mode

Dynamics

Push Buttons

Browse

Loads the ProjectName.imc file specified through the OpenFile dialog box.


Observational Input Format

A meteorological observation input file consists of a header section that specifies the file type, the number of observation variables, their names and units, followed by the numerical data. SCIPUFF supports two versions of the Observation File Format. These are called “Format A” and “Format B.” SURFACE files must be in format A, but PROFILE files may be in either format.

The file header structures for formats A and B are shown below. The header elements are described by name.

comment

ftype

nvar

name1 name2 name3 ... namenvar

unit1 unit2 unit3 ... unitnvar

missing [zref]

comment

ftype

NFixedData NProfileData

FixedName1 FixedName2... FixedNameNFixedData

FixedUnit1 FixedUnit2 ... FixedUnitNFixedData

ProfileName1 ProfileName2 ... ProfileNameNProfileData

ProfileUnit1 ProfileUnit2 ... ProfileUnitNProfileData

missing

Header variables:

comment

Optional comment lines must begin with a # sign in the first column and must all be at the beginning of the file.

ftype

The file type which can be 'PROFILE' or 'SURFACE'. (Only these two types are recognized by SCIPUFF.) A SURFACE file has only one observation for each station and is typically associated with near-surface measurements of wind and/or boundary layer parameters such as surface heat flux or mixing-layer height. A PROFILE file generally has more than one observation height at a station and is used when vertical profiles of wind, temperature, etc. are available, e.g. from upper air soundings.

nvar

The number of observation variables given in the file, read with free format. The maximum allowable value for nvar is 30.

NFixedData

The number of fixed observation variables given in the file, read with free format. The fixed variables do not change for a given vertical profile. Examples of fixed variables include the station identifier, latitude, longitude, date, time, boundary layer mixing height and surface heat flux. NFixedData must be equal to four or more (station id, time and horizontal position are the minimum requirements).

NProfileData

The number of profile observation variables given in the file, read with free format. The profile variables may vary with height for a given vertical profile. Examples of profile variables include the height, pressure, temperature, humidity and wind velocity. Height and velocity are the minimum requirements.

name1, ... , namenvar

The observation variable names are read using (30A8) format. There must be nvar names specified and the order here determines the order in which variables are given in each record of the numerical data. Names may be listed on a single line or on multiple, successive lines. Names recognized in SCIPUFF are given in the variable table below; multiple specific names indicate synonyms. Other names will be ignored without causing an error so that input files with variables not needed in SCIPUFF may still be used. Not all combinations of recognized variable names are permitted. This is discussed below.

FixedName1, ... , FixedNameNFixedData

The fixed variable names are handled as described in the above paragraph. However, there must be NFixedData names specified.

ProfileName1, ... , ProfileNameNProfileData

The profile variable names are handled as described in the above paragraph. However, there must be NProfileData names specified.

unit1, ... , unitnvar

The observation variable units are read using (30A8) format. Units may be listed on a single line or on multiple, successive lines. Units must be listed in the same column order as the variable names to which the units apply. Only certain variables require that units be specified; otherwise blank spaces are acceptable. Variables requiring units are indicated in the table below along with those units recognized by SCIPUFF. An error message is given if a unit is unrecognized (but only for those requiring units).

FixedUnit1, ... , FixedUnitNFixedData

The fixed variable units are handled as described in the above paragraph. However, there must be NFixedData units specified.

ProfileUnit1, ... , ProfileUnitNProfileData

The profile variable units are handled as described in the above paragraph. However, there must be NProfileData units specified.

missing

A character string of up to 8 characters that will appear in the numerical data to indicate a missing or bad value.

zref

Optionally, the reference height in meters above the surface can be specified for SURFACE observations. If the reference height is omitted, a standard value of 10m is assumed, unless the height for each observation is specified in the data record.

Variable Description | Specific Name | Units
Station ID | ID | None
Time (intended for laboratory or other idealized situations where date and time of day is irrelevant) | TIME | HOURS HRS MIN SEC
Time of Day | HOUR | HOURS*
Year | YEAR | None
Month | MONTH | None
Day | DAY | None
Year-Month-Day | YYMMDD | None
Julian Day | JDAY | None
X-location | X | KM*
Y-location | Y | KM*
Longitude | LON | E** W
Latitude | LAT | N** S
Wind Speed | WSPD or SPEED or SPD | KNOTS KTS M/S MPH
Wind Direction | DIR or WDIR | DEG*
Velocity along X- or Longitude-Axis | U | KNOTS KTS M/S MPH
Velocity along Y- or Latitude-Axis | V | KNOTS KTS M/S MPH
Height | Z | M FEET FT
Pressure | P | MB*
Temperature | T | C K F
Humidity | H HUMID Q | GM/GM G/G GM/KG G/KG %
U-Velocity Std. Deviation, Large Scale Variability | UL | KNOTS KTS M/S MPH
V-Velocity Std. Deviation, Large Scale Variability | VL | KNOTS KTS M/S MPH
Velocity Correlation Coefficient, Large Scale Variability | UVL | None
Shear-Driven Lateral Velocity Variance | UU | M2/S2
Buoyancy-Driven Lateral Velocity Variance | VV | M2/S2
Vertical Velocity Variance | WW | M2/S2
Boundary Layer Heat Flux | WT | W/M2
Turbulence Length Scale (Buoyancy-Driven) | SL | M
Turbulence Length Scale (Shear-Driven) | SZ | M
Boundary Layer Mixing Height | ZI | M FEET FT
Pasquill-Gifford-Turner Stability Class | PGT | None***
Precipitation**** | PRCP | None
Surface Heat Flux | HFLUX | K-M/S C-M/S W/M/M W/M2
Monin-Obukov Length | MOL | M*

Note:

  • Unit is assumed and no check is made.

  • Default unit is used if none is specified.

  • *Standard PGT classes have been converted to numerical values,

i.e. class A = 1, B = 2, ..., G = 7. Non-integer values are permitted.

  • **Precipitation category specified with an index as follows:

Precipitation Index

Light rain 1

Moderate rain 2

Heavy rain 3

Light snow 4

Moderate snow 5

Heavy snow 6

The minimum requirements for a meteorological observation file are that the station ID, time, location, wind speed and height (for a PROFILE file only) must be specified. This, therefore, requires that the B format FixedNames include ‘ID’, location (‘X’ and ‘Y’ or ‘LON’ and ‘LAT’) and time (‘TIME’, etc.).If boundary layer type Observations is specified then ‘HFLUX’ and ‘ZI’ or ‘PGT’ must be specified. If boundary layer type Profile is specified then ‘HFLUX’ and ‘ZI’ or ‘PGT’ must be specified. Additionally, if large-scale variability type Observations is being used (ENSM_TYPE='OBS'), then the velocity standard deviations and correlations must be given. In particular, then, the following variables (or some combination thereof) are required as a minimum:

  1. ID,

  2. time (TIME, HOUR, YEAR, MONTH, DAY, YYMMDD and/or JDAY),

  3. horizontal location (X and Y or LON and LAT),

  4. wind velocity (U, V, WSPD, SPEED, SPD, DIR and/or WDIR),

  5. Z if file type is PROFILE,

  6. Both ZI and HFLUX together or PGT or MOL if observational boundary layer is specified,

  7. UU, VV, WW, WT, SL, and SZ if profile boundary layer is specified

  8. UL, VL and UVL if observational large-scale variability is specified.

Surface variables that may optionally be included as FixedNames in the B format include ‘HFLUX’, ‘ZI’, ‘PGT’, ‘PRCP’, and ‘MOL’. Some combinations of variables, particularly those concerning time, are not allowed, are mutually exclusive or result in some of the variables being ignored. Also, the presence or absence of certain variables dictates that others be given.

These situations are now enumerated:

  1. Specifying TIME supersedes HOUR, DAY, MONTH, YEAR, YYMMDD and JDAY. No error message is given, but all time variables other than TIME are ignored.

  2. HOUR must be specified in the absence of TIME. HOUR must be combined with either YYMMDD, the combination of DAY, MONTH, YEAR or JDAY. Note that YYMMDD supersedes DAY, MONTH, YEAR, which supersedes JDAY. All three variables DAY, MONTH and YEAR must be given together.

  3. X and Y must be specified together. X and Y supersede LON and LAT.

  4. LON and LAT must be specified together and are required if X and Y are not given.

  5. U and V must be specified together. U and V supersede WSPD, etc. and DIR or WDIR.

  6. WSPD, etc. and DIR or WDIR must be specified together and are required in the absence of U and V.

  7. UL, VL and UVL must be specified together. These can only be used in combination with U and V; an error occurs if they are used with WSPD and WDIR.

  8. MOL supersedes PGT and HFLUX; PGT supersedes HFLUX.

The numerical data is given after the header section in the order dictated by the list of variable names. The general structure of the numerical data is shown in the figures below (format A followed by format B). The B format requires that individual profiles be separated by the fixed data record which must begin with the string “ID:”. Vertical profiles must be given with height monotonically increasing. This is also true for time and it is further necessary that all observations at a particular time be grouped together. All nvar (A format) or NProfileData (B format) variables for each height (equivalent to each station for a SURFACE file) at a particular time must be contained on a single line of no more than 256 characters. The figure illustrates that all nz heights for station id1 at time1 are given before station id2 and that data from all nsta stations at time1 are given before time2.

  • ar1 ... id1 ... time1 ... z1 ... varnvar

...

  • ar1 ... id1 ... time1 ... znz ... varnvar

  • ar1 ... id2 ... time1 ... z1 ... varnvar

...

  • ar1 ... idnsta ... time1 ... znz ... varnvar

  • ar1 ... id1 ... time2 ... z1 ... varnvar

...

ID:id1, time1, ...FixedVarNFixedData

z1 ... varNProfileData

...

znz ... varNProfileData

ID:id2, time1, ...FixedVarNFixedData

z1 ... varNProfileData

...

znz ... varNProfileData

ID:idnsta, time1, ...FixedVar1 FixedVar2 FixedVarNFixedData

z1 ... varNProfileData

...

znz ... varNProfileData

ID:id1, time2, ...FixedVarNFixedData

z1 ... varNProfileData

...

znz ... varNProfileData

...

NOTE: If the station ID is the first variable (var1), then it may be specified with an 8 digit alphanumeric value. Otherwise, the ID must be an integer.


Observational Weather Input

Weather Description

Observations

Edit Box/Combo Box

Time bin size

The time bins (and time units) for observational input such that all observations reported within a time bin will be assigned the same time. This feature may avoid overly frequent updating of the meteorology; most notably when MC-SCIPUFF is involved.

Upper Air Observations

Push Button

Select

Allows the user to specify the upper air observations data file through the OpenFile dialog box.

Edit Box

Maximum number of nearest neighbors used to interpolate

The maximum number of observation locations (reporting data at a given time) that are used to interpolate the observations onto the meteorology grid. Decreasing this number will decrease the project run time.

Default: All - Standard observations

4 - Analysis or forecast

Surface Observations

Push Button

Select

Allows the user to specify the surface observations data file through the OpenFile dialog box.

Edit Box

Maximum number of nearest neighbors used to interpolate

The maximum number of observation locations (reporting data at a given time) that are used to interpolate the observations onto the meteorology grid. Decreasing this number will decrease the project run time.

Default: All - Standard observations

4 - Analysis or forecast

See Also:

Observational Input Format


Opening an Existing Project

A SCIPUFFgui dispersion calculation is made by creating a 'project', which refers to the collection of files needed for input and output by SCIPUFFgui. The project identifying name and directory location is input through the system's OpenFile dialog box which is activated when the Open project button is pressed. This allows the user to select the project name and the directory where it is stored.

The project name is entered in the file selection box with either no extension or a .prj extension. All SCIPUFFgui project files use the project name with different extensions to indicate their purpose. Some projects use up to 12 files, it is suggested that a directory tree is used to organize projects into related groups.


Opening File dialog box

OpenFile dialog box

The OpenFile dialog box is functionally similar to that of other windows applications and consists of five sections that allow the user to open or save files.

Open/Save File Control

Push Buttons

OK

Opens/Saves the file given in the File Name section.

Cancel

Returns to the previous screen without opening/saving the file.

File Name

Edit Box

The name of the file to be opened/saved.

List Box

A list of filenames for the current directory.

List Files of Type

List Box

The type of files that are displayed in the File Name list box.

Directories

List Box

A list of directories on the specified drive.

Drives

List Box

A list of drives that are available.

Network

Push Button

Allows access to files on other work stations.

Restart Control

Check Box

Allows the current project to be initiated from an existing project. This input appears only when importing or loading an existing project into a new project. If Restart is selected, the Restart Time Editor dialog box will appear when the OK button his pushed. The start time of the new project is then selected from the Restart time list box.


Options

The Options section contains additional numerical and physical parameters that are usually set to default values. The numerical parameters may need to be changed due to computer resource limitations. The physical parameters are associated with the turbulence diffusion model; these should be modified only under special circumstances. The user should particularly note the numerical parameters DELMIN and CMIN and the diffusion parameter TAVG.

OPTIONS Editor

Push Buttons

Load

Copies an existing Options section into the current project. This information is read from the input file, ProjectName.inp, specified through the OpenFile dialog box.

Default

Deletes all displayed Options inputs and replaces them with default values.

OK

Returns to the previous screen with the new Options selected.

Cancel

Returns to the previous screen without changes.

Options Description

Resolution

Edit Boxes

Puff split grid level (MGRD)

The grid resolution parameter that limits the horizontal growth of a puff. The actual resolution used for limiting the horizontal growth of a puff is [image], where [image] is the horizontal resolution described in the Domain Setup. For example, if [image] is 1 degree and MGRD is 2, the horizontal spacing that limits puff growth is 4 degrees.

The recommended (default) setting of MGRD = 2 assumes a smoothly varying wind field. The puff moment calculation accounts for linear velocity gradients so puffs can usually be allowed to grow larger than the meteorological grid size. Smaller values of MGRD give more detailed resolution of the concentration field at the expense of more puffs and longer execution time.

Default: 2

Surface resolution (DELMIN)

The minimum grid size (m) for the adaptive grids. SCIPUFFgui uses adaptive grids for surface dose and deposition output and also for internal puff interaction calculations. Under some circumstances, the adaptive grid may exhaust its storage allocation unless a limit is imposed on the minimum grid size. However, setting a limit may result in the loss of small-scale information in the output fields. (It will only affect the efficiency of the internal puff interaction calculation, but not the result.)

Default: 0

Puff grid resolution (GRDMIN)

The minimum grid size (m) for puff splitting and merging.

Default: 0

Boundary layer resolution (NZBL)

The number of grid points used in the vertical direction to represent the turbulence profiles in the boundary layer.

Default: 11

Stable Atmosphere

Edit Boxes

Turbulence (WWTROP)

The tropospheric vertical velocity variance [image]. This value is used in the stable atmosphere above the planetary boundary layer. It also provides a lower bound on the vertical velocity variance within the boundary layer.

Default: 0.01

Scale (SLTROP)

The tropospheric vertical length scale (m), used in the stable atmosphere above the planetary boundary layer.

Default: 10

Dissipation (EPSTROP)

The average tropospheric energy dissipation rate [image] used in the large scale variability model to characterize the mesoscale velocity variance.

Default: 4.0E-4

Parameters

Edit Boxes

Surface dose height (ZDOS)

The height (m) above the surface where the surface dose is calculated.

Default: 1.E-20

Minimum puff mass (CMIN)

The minimum puff mass (material mass units). A puff with mass less than this value does not split or distort due to velocity gradients but it may merge with other puffs. Setting this minimum value may help decrease execution time.

Default: 0

Conditional averaging (TAVG)

The averaging time for defining the diffusive component of turbulence. This parameter is used to scale the velocity variances that determine puff diffusion. To obtain a quasi-deterministic prediction of dispersion by neglecting the "meandering" component of turbulence (length scales greater than the plume or cloud size) TAVG should be set to the smaller of the release duration and the sampling period of interest. This is most useful when attempting to compare sampler output with actual data measurements.

Default: Use the full turbulence spectrum for the diffusion calculation (equivalent to a very large TAVG).

Check Boxes

Lumped boundary layer option

With this option, the boundary layer is treated as a single layer for controlling the vertical size of a puff. A puff within the boundary layer does not split vertically, its vertical extent being limited by the boundary layer depth. Using this option generally results in a faster calculation if the vertical resolution chosen in the Domain Editor is typically smaller than the boundary layer depth since then the multiple levels of puffs within the boundary layer are replaced with a single level. This option is valid for a boundary layer that may be considered well mixed, i.e., vertical velocity and temperature gradients are small.

Calm Conditions

UUCALM and SLCALM represent the minimum horizontal velocity variance and length scale under light wind conditions. Furthermore, when turbulence values are not specified, these parameters are used to depict the horizontal turbulence above the inversion layer.

Edit Boxes

Turbulence (UUCALM)

The turbulence value [image] used under light wind conditions.

Default: 0.25

Scale (SLCALM)

The turbulence scale (m) used under light wind conditions.

Default: 1000

Sampler output

Sampler (receptor) output provides a time history of point concentration values for the locations specified in the sampler input file. The output file contains the concentration time series (in ASCII format) for the locations specified in the sampler input file. This file can then be read with other plotting software to obtain a graphical representation of the sampler time history. Concentration values are written at the maximum time step interval. The maximum number of sampler locations is 200.

Check Box

Add

Concentration time histories are calculated for the locations specified in the sampler input file.

Push Button

Select

Allows the user to specify the sampler input file through OpenFile dialog box.

See Also:

Sampler Input File Format

Sampler Output File Format


Overview of SCIPUFFgui

SCIPUFF (Second-order Closure Integrated Puff) model is a Lagrangian puff dispersion model that uses a collection of Gaussian puffs to represent an arbitrary, three-dimensional time-dependent concentration. The turbulent diffusion parameterization is based on modern turbulence closure theory, providing a direct relationship between the predicted dispersion rate and turbulent velocity statistics of the wind field.
Unique Features:
  • Applies second-order turbulence closure techniques
  • Provides a prediction of the statistical variance in the concentration field
  • Performs accurate treatment of wind shear
  • Merges puffs in addition to splitting them using an efficient adaptive multi-grid scheme
  • Uses an efficient adaptive time-stepping scheme
  • Utilizes static puffs near the source to reduce computation time.
  • Provides numerous color contour plots that can be viewed upon completion of a run.
Other Major Features:
  • Continuous, instantaneous, moving and stack sources
  • Gases and particle materials
  • Buoyant and non-buoyant releases
  • Flat and complex terrain
  • Dry deposition of gases and particles
  • Wet deposition and gravitational settling of particles
  • Short and long range transport
  • Fixed winds, surface or profile observations or gridded meteorology input
  • Puff sampling capability
For further information, refer to the following:

Chowdhury, B., R.I. Sykes, D. Henn, S. Parker, P. Karamchandani and B. Brashers, 2013, SCICHEM Version 3.0(Beta1) User's Guide, Sage Management, 15 Roszel Road, Suite 102, Princeton, NJ 08540
Chowdhury, B., R.I. Sykes, D. Henn, S. Parker 2013, SCICHEM Version 3.0(Beta1) Technical Documentation, Sage Management, 15 Roszel Road, Suite 102, Princeton, NJ 08540
Sykes, R.I., S. Parker, D. Henn and B. Chowdhury. 2011. SCIPUFF Version 2.7 Technical Documentation. Sage Management, 15 Roszel Road, Suite 102, Princeton, NJ 08540
Sykes, R. I., S. F. Parker, D. S. Henn and W. S. Lewellen, 1993. Numerical simulation of ANATEX tracer data using a turbulence closure model for long-range dispersion, Journal of Applied Meteorology, 32, 929-947.
Sykes, R. I., D. S. Henn, S. F. Parker and R. S. Gabruk, 1996. SCIPUFF - A generalized hazard dispersion model. Preprint of the 76th AMS Annual Meeting, Ninth Joint Conference on the Applications of Air Pollution Meteorology with A&WMA, 184-188.
Sykes, R. I. and R. S. Gabruk, 1997. A second-order closure model for the effect of averaging time on turbulent plume dispersion, Journal of Applied Meteorology, 36, 165-184.


Particle Properties

Particle Parameter Editor

Push Buttons

OK

Imparts changes to the material properties.

Cancel

Returns to MATERIAL description dialog box without changes to the material properties.

Density

Edit Box

Density

The density of the particle material.

Default: None – Must be specified.

Minimum Concentration

Edit Box

Minimum concentration

The minimum puff concentration (material mass units/m3). A puff with a concentration less than this value does not split or distort due to velocity gradients but it may merge with other puffs. Setting this minimum value may help decrease execution time.

Default: 0.0


Plot Area

Plot Display Area

The plot area is the right-hand portion of the screen in which the plot is drawn. This region displays the plot (within a box) and any accessory information specified from the various plot input screens. Within the plot box, the user can Zoom the plot or obtain a Point Value.


Plot Control

This set of push buttons initiates display actions. The content, type and format of the display are controlled by Plot Choice, Material Choice and Plot Options.

Plot Control

Push Buttons

Draw

Generates a display in the Plot Area.

Quit

Returns to the main SCIPUFFgui screen.

Print

Sends the display to a specified printer.

Export

Saves the display to a file.

Copy

Copies the current display to the clipboard.


Plot Options - SCIPUFFgui

The SCIPUFFgui plot interface permits the user to customize the display appearance through an array of plotting options.

Plot options

Push Buttons

Save

Save selected display settings

Default

Set default display settings

Axes

Select display coordinate system, axes range, tick spacing and labeling

Load

Load display settings

Options

Select additional display options

Contours

Define display contours

Titles

Modify display title text and location

Check Boxes

Fill Contours

Fills the area between contour levels of the displayed field using the color palette defined in SCIPAL.DAT. The default is to fill the contours.

Draw Contours

Draws the contour levels of the displayed field using black lines. The default is to not draw the contours.


Plot Options - SCIPUFFgui - Additional

Additional SCIPUFFgui Plot Options

Control

Push Buttons

Default

Resets all options to their defaults.

Cancel

Returns to the main plot screen without changes to the options.

OK

Returns to the main plot screen with the new options settings.

Options

Check Boxes

Show Maximum value

The maximum value in the selected field is displayed on the upper right-hand side of the plot.

Show computational Grid

The SCIPUFFgui computational grid is superimposed on the plot.

Show Sources

The sources are displayed as symbols on the plot. Continuous and instantaneous sources are represented by downward and upward pointing triangles, respectively.

Show Terrain contours

The terrain contours are displayed on the plot.

Show Weather stations

The locations of weather stations are displayed as boxes that are labeled with an S for surface observations or a P for profile observations. This option is available for observations type weather only.

Show Km Scale bar

A bar that displays the distance scale in kilometers is shown at the bottom of the plot. This bar is for Cartesian coordinates only.

Show Overlay file

Overlay files are drawn on top of the current drawing. When this option is checked, the OpenFile dialog box will appear and the overlay file must be specified.

Show contour Information

The number of contours and contour level values are given below the plot. This information is displayed only when the Show color Bar option is off.

Show color Bar

A color bar matching colors to contour levels is displayed on the right of the plot when filling contours.

Fill below Lowest contour

The area having values less than the lowest contour is filled (when filling contours).

Fill above Highest contour

The area having values greater than the highest contour is filled (when filling contours).

Edit Box

Maximum refinement level

The maximum level of refinement for plotting. If a large value is chosen, the plot contains finer resolution, but takes more time to generate. SCIPUFFgui automatically ignores refinement smaller than display resolution.

Default: 99

Push Button

More…

Clicking this button produces additional plot parameters.


Plot Printing

The dialog box for printing plots is functionally similar to that of other windows applications but with some added options. It consists of five sections that allow the user to print plots.

Print Control

Push Buttons

Setup

Displays an additional dialog box that is used for changing various print options.

OK

Prints current plot.

Cancel

Returns to the main plot screen without printing.

Print Status

Displays the current printer type.

Print Selection

Print Range

Radio Buttons

All

Current plot will be printed.

Selection

Not active.

Pages

Not active.

List Box

Print Quality

The print resolution.

Edit Box

Copies

Allows for multiple copies of the plot to be printed.

Check Box

Print to File

Saves the Print to a file.

Print Choice

The check boxes in this dialog area allow the user to include various information with the printed output.

Check Boxes

Plot

Summary

A summary of the project input is included on the printout.

Date/Time stamp

The date and time of printing is included on the printout.

Multiple times

Multiple plots (at the times specified in the accompanying) List Box are printed.

No Labels

List Box

Multiple times

The available time breaks for printing are selected from this list.

Map Scale

List Box

Map Scale

Allows the user to select whether the printout will be fit to the page or printed to the specified scale. Certain scale values require multiple pages.


Plot Choice

Plot Choice

Combo Boxes

Plot type

The following is a complete list of the plot types. Some may not be available due to the selected project type and/or output flags for the selected display material.

Horizontal Slice (Instantaneous)

A horizontal cross-section through the material concentration field. The slice altitude in meters is specified in the associated edit box.

Vertical Slice (Instantaneous)

A vertical cross-section through the material concentration field. The slice parameters are selected in the associated Select dialog box.

Vertically-Integrated Slice

The vertically-integrated material concentration field.

Surface Concentration

The instantaneous material concentration at the surface (only available for terrain runs).

Surface Dose (Integrated)

The time-integrated material concentration at the surface.

Surface Deposition (Integrated)

The time-integrated mass of material deposited on the surface.

Terrain

Terrain elevations (only available for runs with terrain).

Plot value

Mean (M)

Displays contours of the mean field selected for display.

Prob(V>E)

Displays contours of the probability that the selected field will exceed a prescribed value. The exceedance value is entered in an associated edit box.

Exceed. Value (V[Pc>P])

Displays areas where the probability of exceeding the contour value is greater than the value given in the Probability edit box (see below). For example, if the number in the Probability edit box is 0.5, the area inside of a contour value of 1.0 corresponds to the region where the probability of values exceeding 1.0 is equal to or greater than 50%.

Time (hrs)

The output time in hours from the start of the calculation. Only the times saved on the SCIPUFFgui output files are available for plotting and are displayed in the list box. The default is the last time break on the output files.

Edit Box

Height (m)

The height above the ground level (m) for an instantaneous horizontal slice. This edit box only appears when the plot type is a horizontal slice. The default is 0.

Exceed

The exceedance value used for probabilistic plotting. This edit box only appears when the Prob(M>E) plot type is selected. The units are the same as the display contours.

Default: 0

Probability

The probability value used for the Exceed. Value (V[Pc>P]) plot type.

Default: 0.5

Push Button

Select

Specifies the horizontal limits and vertical extent of the vertical slice, either through dialog box input or by mouse selection. This push button only appears when the plot type is a vertical slice.


Plotting Results

SCIPUFFgui results are displayed interactively in the form of two-dimensional contour maps. The plotting interface controls the choice of output field and display format.

The Open Button is enabled in plot mode, which streamlines the process of opening an old project for comparison with the current project. Since SCIPUFFgui handles only one project at a time, the original project must be reopened (using the Open Button) if the user wishes to plot this project again.

The Plot interface screen:

• Plot Control - a set of push buttons to initiate display actions

• Plot Options - display control options

• Material Choice - selects the material for display

• Plot Choice - selects the type of display

See Also:

Plot Display Area


Point Value

The mouse pointer changes from a magnifying glass to a pointer when the right mouse button is pressed. The x and y location of the pointer and the corresponding value of the plotted variable are displayed in edit boxes on the left side of the plot area.

Control

Push Buttons

Close

Cancels the point value option.

Get Value

Calculates and displays the plotted variable's value at the location given in the Point Value input area.

Point Value

Edit Boxes

X,Y

The location of the point value.

Data

The plotted variable's value at the given location.

Push Buttons

Add to Table

Add a point value to a table file which can then be exported.


Precipitation

Precipitation

Combo Box

SCIPUFFgui includes a washout calculation based on the precipitation category. For Observational meteorology, the precipitation category can be either selected from the drop-down list or specified (as an index) on a file. Refer to the Observational Input Format for information on reading precipitation data. For all other weather data types, the precipitation category must be selected from the drop-down list and cannot be read from a file.


Precipitation/Washout

A precipitation washout calculation for particle materials is included in SCIPUFF. The precipitation can be specified from a simple drop-down list in the weather input, or can be included on Observational input files. Refer to the Observational Input Format for information on reading precipitation data. Precipitation is specified as an index (shown below). SCIPUFF determines parameters such as precipitation rate based on this index.

Precipitation Index

Light rain 1

Moderate rain 2

Heavy rain 3

Light snow 4

Moderate snow 5

Heavy snow 6


Project Files

SCIPUFFgui Project

A SCIPUFFgui project is a collection of files describing the input and output for the dispersion calculation. All project files use the ProjectName with different extensions to indicate their purpose. Since some projects use up to 12 files, it is suggested that a directory tree be used to organize projects into related groups. The following files are created as a SCIPUFFgui project:

Input files

  • .inp

An ASCII file containing information such as the time setup, puff grid parameters, and material setup.

  • .scn

An ASCII file containing the release scenario parameters.

  • msc

An ASCII file containing the meteorology description.

  • .rst

An ASCII file that SCIPUFFgui creates for restarting a project.

Output files

  • .prj

A binary file containing SCIPUFFgui project parameters. This file is generated from the input files when the project is created.

  • err

An ASCII file containing error messages created while SCIPUFFgui is running.

  • .log

An ASCII file containing a log of status messages created while SCIPUFFgui is running.

  • .dos

A binary file containing the material surface dose integral fields.

  • .dep

A binary file containing the material surface deposition integral fields.

  • .puf

A binary file containing the puff parameters.

  • smp

An ASCII file containing the concentration time histories if a sampler input file was specified.

  • .mcw

An optional file containing 3-d mass-consistent wind fields in MEDOC ASCII format. Available only when using the SCIPUFF mass-consistency option.


Project Restarts

A new project is initialized to proceed from any time break of an existing project by selecting the Restart time and pushing the OK button. Only certain run parameters can be changed for a project that is created by restarting another project from a time later than t = 0. For example, material properties and release parameters cannot be changed; however, weather input and domain specifications can be changed.

Restart Time Editor

Push Buttons

OK

Continues with the creation of the new project with the start time equal to the time specified in the Restart time list box.

Cancel

Returns to the New Project Editor screen without setting the Restart time.

Restart time

List Box

Time

The time at which the new project is initialized.


Randomize Location

SCIPUFF creates multiple copies of the specified source with random spatial positions. These locations are uniformly distributed over a circular region centered on the original source.

Multiple randomized release locations

Edit Boxes

Number of locations

The number of release locations that will be randomly generated.

Default: NONE - Must be specified.

Location spread

The radius of the circular region (m) containing the randomly distributed sources.

Default: NONE - Must be specified.

Random seed

The seed that is used to generate the release locations.

Push Buttons

New

Changes the random seed value.

OK

Returns to previous screen with new parameter values.

Cancel

Returns to previous screen without changes.


Release - Lognormal Distribution

Release - Lognormal Size Distribution (particles)

A lognormal size distribution can be specified for a simple release of particulate material. If the lognormal option is chosen, the user must specify the mass mean diameter (MMD) in microns and the geometric standard deviation [image]. The resulting lognormal size distribution is partitioned into the material size bins, as defined in the particle material description. If more than 5% of the release mass lies outside the range of the size bins, a warning is issued. Continuing without changing the distribution or the size bins will allocate mass below the lower size bin limit into the first size bin, and mass above the upper size bin into the last bin. In order to change the size bin boundaries, the user must return to the Material Editor. A useful guide for determining the size bin range is that 96% of the total mass in the lognormal distribution is contained between [image] and [image]. A typical size bin specification would span this range using 10 bins with logarithmic spacing. The resolution of the size distribution depends on the range of the calculation; longer range calculations may need better resolution to prevent separation between bins as the material falls through the atmosphere.


Release Description - Continuous

Continuous source description

Push Buttons

OK

Adds the release to the release scenario.

Cancel

Returns without adding a new release.

Location

Edit Boxes

Time

The time (hrs) relative to the SCIPUFFgui calculation start time that the material is first released. For example, if a material is released at the calculation start time, the release time is 0. Releases can be input in any order since SCIPUFFgui automatically sorts each release by its release time. The units can be changed with the combo box to the right.

Default: 0.0 hours

X or Lat (N) or M. N’ing

The absolute x-coordinate, Cartesian (km) or Lat./Lon. (degrees), of the release site. The units can be changed with the combo box to the right.

Default: Degrees

Y or Lon (E) or Easting

The absolute y-coordinate, Cartesian (km) or Lat./Lon. (degrees), of the release site. The units are the same as the X or Lat (N) units.

Default: Degrees

Height (m)

The height (m) of the release above the surface.

Default: None - Must be specified.

Specification

Radio Buttons

Simple

The material is released at the specified location with the mass and size defined in the Parameters group box. This is the only option for a continuous release.

Combo Boxes

Material

A four character name identifying the material being released. The drop-down list contains a list of materials defined for this project.

Size Bin/Distribution

The size bin of the release (displayed if the release material type is particle). Choices from the drop-down list include one of the individual size bins defined for the material or a lognormal size distribution.

Edit Boxes

MMD

The mass-mean diameter of the particle distribution if a Simple release with a log normal distribution is chosen.

Sigma

The standard deviation of the particle distribution if a Simple release with a log normal distribution is chosen.

Parameters

Edit Boxes

Duration

The length of time (hours), relative to the release time, that the material is released. The units are changed with the combo box on the right.

Default: NONE - Must be specified.

Rate

The material mass release rate (mass units/s). The mass units are taken from the Material Description.

Default: NONE - Must be specified.

X (Size)

Not applicable for a continuous source.

Y (Size)

The lateral Gaussian spread parameter (size) of the release source (m).

Default: NONE - Must be specified.

Z (Size)

The vertical Gaussian spread parameter (size) of the release source (m).

Default: NONE - Must be specified.

Momentum

The momentum of the effluent (m4/s2) if the project is a Dynamic Run and the material type is Gas . To include the effect of dynamics on materials other than gases, the effluent gas must also be a defined release.

Default: NONE - Must be specified.

Buoyancy

The buoyancy of the effluent (C-m3/s) if the project is a Dynamic Run and the material type is Gas . To include the effect of dynamics on materials other than gases, the effluent gas must also be a defined release.

Default: NONE - Must be specified.


Release Description - Instantaneous

Instantaneous source description

Push Buttons

OK

Adds the release to the release scenario.

Cancel

Returns without adding a new release.

Location

Edit Boxes

Time

The time (hrs) relative to the SCIPUFFgui calculation start time that the material is first released. For example, if a material is released at the calculation start time, the release time is 0. Releases can be input in any order since SCIPUFFgui automatically sorts each release by its release time. The units are changed with the combo box on the right.

Default: 0.0

X or Lat (N) or M. N’ing

The absolute x-coordinate, Cartesian (km) or Lat./Lon. (degrees), of the release site. The units can be changed with the combo box to the right.

Default: Degrees

Y or Lon (E) or Easting

The absolute y-coordinate, Cartesian (km) or Lat./Lon. (degrees), of the release site. The units are the same as the X or Lat (N) units.

Default: Degrees

Height (m)

The height (m) of the release above the surface.

Default: NONE - Must be specified.

Specification

Radio Buttons

Simple

The material is released at the specified location with the mass and size inputted in the Parameters group box.

CLOUDTRANS FILE

The file containing the release information using the CLOUDTRANS format. The Select push button allows to input or modify file name the CLOUDTRANS release file.

Push Button

Select

Brings up an OpenFile dialog box which allows the user to specify the CLOUDTRANS file defining the release. This is only active when the CLOUDTRANS File radio button is selected.

Combo Boxes

Material

A four character name identifying the material being released. The drop-down list contains a list of materials defined for this project.

Size Bin

The size distribution of the release (displayed if the release material type is particle). Choices from the drop-down list include one of the individual size bins defined for the material or a lognormal size distribution.

Edit Boxes

MMD

The mass-mean diameter of the particle distribution if a Simple release with a log normal distribution is chosen.

Sigma

The standard deviation of the particle distribution if a Simple release with a log normal distribution is chosen.

Parameters

Check Boxes

Randomize location

Allows for a randomization of the source locations within the calculation domain. If this box is checked, a Parameters push button appears

Edit Boxes

Mass

The total mass (mass units) of the released material. The mass units are taken from the corresponding Material Description, Gas or Particle, as appropriate.

Default: NONE - Must be specified.

X (Size)

The x-coordinate Gaussian spread parameter of the release source (m).

Default: NONE - Must be specified.

Y (Size)

The y-coordinate Gaussian spread parameter of the release source (m).

Default: NONE - Must be specified.

Z (Size)

The vertical Gaussian spread parameter of the release source (m).

Default: NONE - Must be specified.

Momentum

The momentum of the effluent (m4/s) if the project is a Dynamic Run and the material type is Gas . To include the effect of dynamics on materials other than gases, the effluent gas must also be a defined release.

Default: NONE - Must be specified.

Buoyancy

The buoyancy of the effluent (C-m3) if the project is a Dynamic Run and the material type is Gas . To include the effect of dynamics on materials other than gases, the effluent gas must also be a defined release.

Default: NONE - Must be specified.


Release Description - Moving

A moving release is a continuous release with a source moving at a constant velocity for the duration of the release.

Moving source description

Push Buttons

OK

Adds the release to the release scenario.

Cancel

Returns without adding a new release.

Location

Edit Boxes

Time

The time (hrs) relative to the SCIPUFFgui calculation start time that the material is first released. For example, if a material is released at the calculation start time, the release time is 0. Releases can be input in any order since SCIPUFFgui automatically sorts each release by its release time. The units are selected from the combo box on the right.

Default: NONE - Must be specified.

X or Lat (N) or M. N’ing

The absolute x-coordinate, Cartesian (km) or Lat./Lon. (degrees), of the release site. The units can be changed with the combo box to the right.

Default: Degrees

Y or Lon (E) or Easting

The absolute y-coordinate, Cartesian (km) or Lat./Lon. (degrees), of the release site. The units are the same as the X or Lat (N) units.

Default: Degrees

Height (m)

The starting height (m) of the source above the surface.

Default: NONE - Must be specified.

Specification

Radio Buttons

Simple

The material is released at the specified location with the mass, size and velocity defined in the Parameters group box. This is the only option for a moving release.

Combo Boxes

Material

A four character name identifying the material being released. The drop-down list contains a list of materials defined for this project.

Size Bin

The size distribution of the release (displayed if the release material type is particle). Choices from the drop-down list include one of the individual size bins defined for the material or a lognormal size distribution.

Edit Boxes

MMD

The mass-mean diameter of the particle distribution if a Simple release with a log normal distribution is chosen.

Sigma

The standard deviation of the particle distribution if a Simple release with a log normal distribution is chosen.

Parameters

Edit Boxes

Duration

The length of time (hours) that the material is released. This value is relative to the release time.

Default: NONE - Must be specified.

Rate

The material mass release rate (mass units/s). The mass units are taken from the corresponding Material Description, Gas or Particle, as appropriate.

Default: NONE - Must be specified.

X (Size)

Not applicable for a continuous source.

Y (Size)

The lateral Gaussian spread parameter of the release source (m).

Default: NONE - Must be specified.

Z (Size)

The vertical Gaussian spread parameter of the release source (m).

Default: NONE - Must be specified.

X (Velocity)

The source velocity component in the x-coordinate direction (m/s).

Default: NONE - Must be specified.

Y (Velocity)

The source velocity component in the x-coordinate direction (m/s).

Default: NONE - Must be specified.

Z (Velocity)

The source velocity component in the vertical direction (m/s).

Default: NONE - Must be specified.

Momentum

The momentum of the effluent (m4/s2) if the project is a Dynamic Run and the material type is Gas . To include the effect of dynamics on materials other than gases, the effluent gas must also be a defined release.

Default: NONE - Must be specified.

Buoyancy

The buoyancy of the effluent (C-m3/s) if the project is a Dynamic Run and the material type is Gas . To include the effect of dynamics on materials other than gases, the effluent gas must also be a defined release.

Default: NONE - Must be specified.


Release Description - Stack

A stack release is a continuous release from a stack, such as a power plant smoke stack.

Stack source description

Push Buttons

OK

Adds the release to the release scenario.

Cancel

Returns without adding a new release.

Location

Edit Boxes

Time

The time (hrs) relative to the SCIPUFFgui calculation start time that the material is first released. For example, if a material is released at the calculation start time, the release time is 0. Releases can be input in any order since SCIPUFFgui automatically sorts each release by its release time. The units are selected from the combo box on the right.

Default: NONE - Must be specified.

X or Lat (N) or M. N’ing

The absolute x-coordinate, Cartesian (km) or Lat./Lon. (degrees), of the release site. The units can be changed with the combo box to the right.

Default: Degrees

Y or Lon (E) or Easting

The absolute y-coordinate, Cartesian (km) or Lat./Lon. (degrees), of the release site. The units are the same as the X or Lat (N) units.

Default: Degrees

Height (m)

The starting height (m) of the source above the surface.

Default: NONE - Must be specified.

Specification

Radio Buttons

Simple

The material is released at the specified location with the mass, size and velocity defined in the Parameters group box. This is the only option for a stack release.

Combo Boxes

Material

A four character name identifying the material being released. The drop-down list contains a list of materials defined for this project.

Size Bin

The size distribution of the release (displayed if the release material type is particle). Choices from the drop-down list include one of the individual size bins defined for the material or a lognormal size distribution.

Edit Boxes

MMD

The mass-mean diameter of the particle distribution if a Simple release with a log normal distribution is chosen.

Sigma

The standard deviation of the particle distribution if a Simple release with a log normal distribution is chosen.

Parameters

Edit Boxes

Duration

The length of time (hours) that the material is released. This value is relative to the release time.

Default: NONE - Must be specified.

Rate

The material mass release rate (mass units/s). The mass units are taken from the corresponding Material Description, Gas or Particle, as appropriate.

Default: NONE - Must be specified.

Diameter (m)

The diameter of the stack (m).

Default: NONE - Must be specified.

Exit Velocity (m/s)

The exit velocity (m/s).of the stack effluent if the project is a Dynamic Run and the material type is Gas . To include the effect of dynamics on materials other than gases, the effluent gas must also be a defined release.

Default: 0.00.

Exit Temperature (C)

The exit temperature of the stack effluent if the project is a Dynamic Run and the material type is Gas . To include the effect of dynamics on materials other than gases, the effluent gas must also be a defined release.

Default: 0.00


Release Scenario

The Release section defines the parameters characterizing the release of a material. The properties of the material being released must already be defined in the Material Editor. The Release Editor allows the user to define new releases, load existing ones and modify release parameters. If no release has been defined previously, the only options are to define a New release or Load an existing definition. The release scenario is the collection of all individual releases. The four basic release types are Continuous , Instantaneous , Moving and Stack .

RELEASE Editor

Combo Box

Release List

Displays the releases already defined for this project. The parameters displayed in the drop-down list are the SCIPUFFgui internal release identifier, release type ('C' for Continuous, 'I' for Instantaneous, ‘M' for Moving, or ‘S’ for Stack), material name (or CLOUDTRANS file name), release time, X location, Y location, and release height.

Push Buttons

Edit

Changes the definition of the release shown in the Release List drop-down box.

New

Creates a new release.

Delete

Removes the release shown in the Release List drop-down box.

Load

Copies an existing release into the current project. This information is read from the input file, ProjectName.scn, specified through the OpenFile dialog box.

Clear All

Deletes all releases listed from the project.

OK

Returns to the previous screen with the new release added. A red check mark ( [image]) appears under the Release push button indicating that the release scenario is complete.

Cancel

Returns to the previous screen without changes.

Release Description

If a release is displayed in the Release List the corresponding description is given in this box. However, the parameters cannot be edited unless the Edit button in the RELEASE Editor box is pushed. This description varies with the type of material. See one of the following:

• Continuous

• Instantaneous

• Moving

• Stack


Release Type

Release Type - Adding a New Release

Radio Buttons

Continuous

Instantaneous

Moving

Stack

Copy from

Copies parameters from an existing release into the current release.

Combo Box

Copy from

Contains the current release list.

Push Buttons

OK

Continues with the new release definition.

Cancel

Returns to the previous screen without changes.


Reviewing SCIPUFFgui Projects

Information regarding the current project is displayed when the Review ProjectName push button is pressed or edited if the Edit ProjectName is selected. The information is displayed on the same screen that appears when a new project is created with the exception of the New PROJECT Editor section replaced with PROJECT Viewer section.

The Open Button is enabled in the review mode, which streamlines the process of opening an old project for comparison with the current project. Since SCIPUFFgui handles only one project at a time, the original project must be reopened (using the Open Button) if the user wishes to review this project again.

PROJECT Viewer

Push Buttons

Edit Project

Copies an existing project setup into the current project.

Delete Project

Deletes all project setup input

Cancel

Returns to the previous screen without changes.

Input Parameters

The push buttons in each group box are active so that other information can be edited.


Running SCIPUFFgui

The Run dialog box initiates the dispersion calculation when an existing project has not been run to completion. Run control parameters are entered in the dialog box and run status information is displayed. The run parameters which define the calculation duration and time step are initially prescribed in the Time Setup but can be modified here.

Run Control

This group box contains push buttons for run control and displays project name and path, current project time and the number of puffs. This information is updated upon completion of the run.

Push Buttons

Run

Executes the SCIPUFFgui dispersion calculation. When this button is clicked, a secondary window pops up and displays the run time, the minimum time step, and the number of puffs. From the secondary window, the run can be stopped with either the Halt or Abort push buttons. When the Halt button is used, the run is stopped at the next complete time step and all of the output files are updated. If the Abort button is used, the run is stopped as soon as possible and the output files are not updated beyond the previous complete time step.

Cancel

Returns to the main SCIPUFFgui menu without running the project.

Stop time

This may be specified either by setting the stop time or calculation duration.

Edit Boxes

Year, Month, Day, Hour

The stop time for the SCIPUFFgui calculation. It is specified in the same way as in the Time Setup. Duration is automatically computed when this is set.

Duration

The total calculation period for the SCIPUFFgui calculation. The stop time is automatically computed when this is set. The units for the duration can be chosen with the adjacent combo box.

Time intervals

Edit Boxes

Maximum time step

The maximum timestep for the dispersion calculation. This should be chosen to smoothly resolve any meteorological variations, including the boundary layer. SCIPUFFgui uses an adaptive time step and reduces the step size as appropriate for each puff. The units for the time step can be changed with the combo box to the right.

Output interval

The time interval between saved output. The output includes the instantaneous fields and optional surface integral fields (surface dose and/or surface deposition). The units for the output interval can be changed with the combo box to the right.

Note: SCIPUFFgui may be run in batch or “script” mode. Multiple runs may be set up for simulation and plots may be automatically printed. For details, see Script Mode.


Sampler Input File Format

A sampler input file consists of a header line which specifies the material name and subgroup, followed by the a list of sampler locations. A sampler file can only contain one material type.

The file structure is as follows:

mname isg

x1 y1 z1

x2 y2 z2

.

.

.

xnsam ynsam znsam

Header variables:

mname,isg

The material name and subgroup are read using space delineated free format and must be declared in the materials list. Only one sampler material and subgroup are allowed. Gas materials do not have subgroups, therefore isg is 1. For particle materials, however, isg corresponds to the size group.

Data:

xnsam, ynsam , znsam

The concentration sampler locations for are read with a unformatted read. The horizontal sampler positions (xnsam, ynsam) are in the same units as the project coordinates. The vertical sampler location (znsam) is the height of the sampler above the surface in meters. The maximum number of samplers is 200.


Sampler Output File Format

Sampler output is written as an ASCII file that contains a header section and data. The header specifies the number of samplers, the sampler names, and a title. Data consists of time, mean concentration, concentration fluctuation variance, and integral time scale of the concentration fluctuation correlation.

The file structure is as follows:

Nvar

Varnames(Nvar)

Title

Data(Nvar)

Header variables:

Nvar

The number of variables which includes 1 (time) plus 3 variables (mean concentration, variance, and scale) for each sampler location.

Varnames (FORTRAN format “10a8”)

A listing of the variable names of the time, concentration, variance, and scale. The first variable is time followed by the concentration, variance, and scale names for each sampler location. These names are read using FORTRAN format (10a8), so there are 10 variable names per line.

Title

A title that contains the name of the project.

Data:

Data

A listing of time, concentration, variance, and time scale. At each time break, the data elements are written (free format) with time as the first value followed by the three values (concentration, variance, and time scale) for each sampler location. The concentration is in (mass units)/m3 and the time and time scale are in seconds.


Scripting

A simple “batch” or “scripting” mode has been added to SCIPUFFgui to assist in testing the code. It is not designed as a “button push” tester but as a “calculation” or “answer” tester. In this mode SCIPUFFgui will run minimized, reading and executing commands from a script file. The mode is invoked with the /b switch
SCIPUFFgui .EXE /B:script_file_name
where script_file_name includes the full pathname and filename of the desired scripting file The available commands and their inputs, where input in square brackets [ ] is optional, are
# [comment]
Comment line
CD path
Changes directory to the given path
READ script_filename
Reads script commands from the given filename
OPEN project_filename
Opens the project given by filename. Project_filename must include the full path name unless the project exists on the current directory. The project files for the desired project must already exist.
NEW project_filename [ import_filename]
Opens new project with the given filename. Project_filename must include the full path name unless the project exists on the current directory. The project inputs are initialized from existing input files associated with import_filename if given or with project_filename if import_filename is omitted.
START [stopTime [ maxTimeStep [ outputInterval ]]]
Reruns the current project from the beginning
StopTime = duration if run in hours
MaxTimeStep = maximum time step in seconds
OutputInterval = output interval in hours
CONTINUE [stopTime [ maxTimeStep [ outputInterval ]]]
Continues the current project from the last output position
StopTime = duration if run in hours
MaxTimeStep = maximum time step in seconds
OutputInterval = output interval in hours
LOAD options_filename
Loads a plot options file. Options_filename must include the full path name unless the project exists on the current directory.
MATERIAL material_name [ subgroup]
Sets plotting to the given material and subgroup
FILL fill_option
Fill_option = ON or OFF. Determines if contours will be filled. The default is to fill contours (ON).
DRAW draw_option
Draw_option = ON or OFF. Determines if contours will be drawn. The default is to not draw contours (OFF).
TIME plot_time
Sets plot time in hours
EXPORT export_type export_filename
Creates an export file using either the default options or the options from the last LOAD command
Export_type =
ARC
AVS
CTS
EIS
OIL
OVL
Export_filename = name of the export file to be created
PRINT [option [map_scale]]
Prints the project using either the default options or the options from the last LOAD command
Option = ALL (default) – print both the plot and statistics
PLOT – print only the plot
STAT – print only the statistics
BARE – print a bare plot
Map_scale = desired mapscale where the default is fit to page
Map_scale is in the form 1:1,000,000 and must be one of the available scales
SKIP [nSkip]
Skips next nSkip lines in the script file
GOTO label
Skips all lines between the current line and line beginning with label:
EXIT
Exits SCIPUFFgui (note this exits SCIPUFFgui not just the current script file). If the script file has no EXIT command, SCIPUFFgui will simply return from the reading of the script file. If the return is from the top-level script file, SCIPUFFgui switches to interactive mode.


Select - Vertical Slices

Selects the location and extent of a vertical slice through the instantaneous concentration field. The slice location can also be specified by dragging the mouse if the plot window is displaying a horizontal field. When the mouse is positioned in the plot area, the cursor becomes a pair of scissors (for determining the cross-sectional cut) with the "hot spot" at the intersection of the scissors blades. The vertical cross-section location is specified by clicking the mouse at the start point and dragging to the end point.

Slice Location

Edit Boxes

Start point, End point

The start and end points of the slice in display coordinates. (The display coordinate system can be set using the Axes options.)

Default: The start and end points are the coordinates of the lower left and upper right corners of the horizontal calculation domain.

Vertical Extent

The Minimum and Maximum height range of the slice in meters.

Default: The defaults are the lowest and highest points in the SCIPUFFgui domain.

Vertical Resolution

Controls the number of vertical grid points of the slice, between 0% (5 points) and 100% (105 points). A larger number improves the quality (resolution) of the display but it also increases the plotting time. The slider bar also allows the user to change the resolution.

Default: 25%

Control

Push Buttons

Default

Reset all vertical slice parameters values to their defaults.

Cancel

Returns to the main plot screen without changes.

OK

Return to the main plot screen with new settings.


Static Puffs

Continuous releases may involve the generation of many puffs with a small time step, since the step size is determined by the source dimensions, which are often relatively small. Puffs will merge as they grow downstream, but the computational time can become restrictive if the source continues for a long duration.

In these cases, it is reasonable to approximate the early development of the release as a steady-state plume, since the time scales of the plume are much faster than the changes in the meteorology. This could be achieved by means of an initial steady state calculation to march the plume out to some downstream distance, at which point the puffs could be released into the general flow field with a larger time step.

The difficulty with this approach is that some method of incorporating the plume phase into the output displays and surface integrals would need to be developed, so that the initial part of the plume would not be neglected. In addition, a plume description would need to be stored in association with each continuous release.

A more integrated approach uses the concept of "static" puffs; these are puffs that represent the steady-state phase of the plume, and are not advanced every time step. The advantage of this approach is that the quasi-steady plume is represented by the same type of puff as the general unsteady dispersing field, so that inclusion in the output calculations is facilitated.


Surface Observation Only

Surface Observations Only

Weather Description

Observations

Edit Box/Combo Box

Time bin size

The time bins (and time units) for observational input such that all observations reported within a time bin will be assigned the same time. This feature may avoid overly frequent updating of the meteorology; most notably when MC-SCIPUFF is involved.

Surface Observations

Push Button

Select

Allows the user to specify the surface observations data file through the OpenFile dialog box.

Edit Box

Maximum number of nearest neighbors used to interpolate

The maximum number of observation locations (reporting data at a given time) that are used to interpolate the observations onto the meteorology grid. Decreasing this number will decrease the project run time.

Default: All - Standard observations

4 - Analysis or forecast

See Also:

Observational Input Format


Surface Roughness

Surface Roughness

Radio Buttons

Roughness (m)

The surface roughness length (m). See Roughness Table for typical values.

Canopy height (m)

The actual height (m) of the vegetative canopy. The canopy height is only used as an alternative means of specifying the surface roughness length. Note that the bottom of the SCIPUFFgui calculation domain is assumed to be at the top of the canopy.

Edit Box

Roughness/Canopy height

Depending on which radio button is selected, the roughness length or canopy height is used to characterize the surface layer and for calculations of surface deposition.

Default: The default value for the roughness is 0.03 m; the default value for canopy height is 1 m.


Table File - Point Values

Table File of Point Values for SCIPUFFgui Plots

Tables of point values can be exported from a plot in ASCII format. When the Export push button is selected under the Plot Control interface area, the table (ASCII) file type (*.tab) must be selected and a file name must be entered in the OpenFile dialog box. After the OK push button is selected, the Tabular output Editor is displayed.

Values can be selected using the Tabular output Editor, and can also be obtained using the mouse on the plot screen with the Get Value function. When values are selected, they are added to the ASCII file, and not replaced. The Get Value function must be used prior to choosing Export and their values will automatically appear in the Tabular output Editor.


Table Value - Edit

Table Values - Edit

Location Editor

Edit Boxes

X (or Lon or Easting), Y (or Lat or Northing)

The coordinates of the specified point.

Push Buttons

OK

Adds the specified point to the current list and leaves the editing mode.

Cancel

Leaves the editing mode without changes.


Table Value - New

Table Values - New

More than one value may be defined by repeated use of the Add button. The dialog box stays until the OK or Cancel buttons are pushed.

Location Editor

Edit Boxes

X (or Lon or Easting), Y (or Lat or Northing)

The coordinates of the new point.

Push Buttons

Add

Adds new point to the current list. This button allows you to repeatedly add values without leaving the edit mode.

OK

Adds the new point to the table list and leaves the editing mode.

Cancel

Leaves the editing mode without adding the new point.


Table Values - Gridded

Table Values - Grid

Location Editor

Edit Boxes

X (or Lon or Easting), Y (or Lat or Northing) – Minimum, Maximum, and No. Pts.

The limits (and the number of points in each direction) that determine the spatial extent of the tabular output. For Lat./Lon. coordinates, the domain boundaries are positive values in degrees for East and North. Thus the minimum longitudinal coordinate is the Western edge of the domain, and the minimum latitude is the Southern edge. For Cartesian coordinates, the domain extents are specified in kilometers.

Push Buttons

Compute

Adds the new points to the table list and leaves the editing mode.

Cancel

Leaves the editing mode without adding new points.


Table Values - Line

Location Editor

Edit Boxes

X (or Lon or Easting), Y (or Lat or Northing) – Minimum, Maximum, and No. Pts.

The endpoint coordinates (and the number of points) along a line of tabular values. For Lat./Lon. coordinates, the endpoints are positive values in degrees for East and North. For Cartesian coordinates, the line endpoints extents are specified in kilometers.

Push Buttons

Compute

Adds the new points to the table list and leaves the editing mode.

Cancel

Leaves the editing mode without adding new points.


Tabular Output Editor

Tabular Output Editor for Point Values

Tabular output Editor

Push Buttons

OK

Exports the data listed in the Table of Values and returns to the main plot screen.

Cancel

Returns to the main plot screen without exporting to the Table file.

Table of Values

This list box contains the list of point locations and the data values at those points. This list is edited with push buttons to the right of the list box.

Push Buttons

Edit

Changes the selected table value to a new value.

New

Adds a new table value to the list.

Delete

Removes a selected table value from the list.

Clear All

Removes all table values from the list.

Grid

Calculates table values based on a specified grid domain and the number of points within that domain.

Line

Calculates table values based on a specified line endpoints and the number of points on that line.

Load

Copies the table values from a file into the list. This is an appending procedure, so the loaded values are added to those already in the list.

NOTE: Table may include values that were entered using the Get Value function. Values can be added to the table with the push buttons listed above.


Terrain

Terrain

Check Box

Add

Terrain effects are included in the meteorological description.

Push Buttons

Select

Allows the user to specify terrain parameters.

NOTE: This opiton is not available for all weather data types.


Terrain Input Format

Terrain Format

A terrain input file consists of a two line header section followed by the terrain height data array.

The file structure is as follows:

grid_type, param1, param2

x0, y0, dx, dy, nx, ny

H1, H2,... Hnx*ny

Variables:

grid_type

The horizontal terrain grid type (LATLON, KM, METERS or M), read with (a8) format.

param1, param2

param1(REAL) and param2(REAL) give the origin of the terrain grid (lower left corner) in degrees E and N, respectively, if needed. They are read as a single string with (a72) format and then converted to numerical values.

x0, y0

Grid origin in the units specified in degrees if grid_type is LATLON and KM, otherwise.

dx, dy

Grid spacing in the units specified in grid_type, read with free format.

nx, ny

Number of grid points in the x (longitude) and y (latitude) directions, read with free format.

Hi

The terrain height array (meters), read with (12i6) format.


Terrain/Mass-consistency

Selecting Terrain/Mass-Consistency

When a gridded terrain file is specified, a diagnostic three-dimensional wind field is generated using meteorological observations (including upper air profiles, surface observations and fixed input). The wind field is determined by first interpolating from the observations onto the grid and then adjusting the three-dimensional field so that it satisfies mass continuity.

The SCIPUFF mass-consistency (MC-SCIPUFF) solver:

It has been shown that the minimum adjustment (in the least-squares sense) is given by the gradient of a particular scalar potential analogous to a dynamic pressure field. Terrain effects are included through use of a terrain-following coordinate system. Atmospheric stability is accounted for by means of a parameter that weights adjustments to the vertical velocity.

Two methods are utilized in computing the adjusted wind fields. The fastest method employs a Fast Fourier Transform (FFT) technique, but is limited by terrain slope and atmospheric stability. A point relaxation technique is used when the FFT solver is inappropriate.

Terrain Parameter Editor

Push Button

OK

Returns to the previous screen with the entered terrain parameters.

Cancel

Returns to the previous screen without changes.

Check Box

Save 3-D mass-consistent wind fields

Saves the 3-D mass-consistent wind fields as a MEDOC-type file named ProjectName.mcw

Radio Button

Binary format/ASCII format

These radio buttons will be active if the Save 3-D mass-consistent wind field check box is clicked. Binary format results in faster writing, smaller files, and faster reading of these files when used as meteorological input.

Mass-consistent wind field model input description

Terrain file

Push Button

Select

Brings up an OpenFile dialog box which allows the user to specify a previously defined terrain file. See Terrain File Format for more information.

SWIFT parameters (NOT AVAIILABLE IN THIS VERSION)

Edit Box

Wind field update interval

This parameter controls the time interval at which SWIFT updates the wind field.

SCIPUFF parameters

FFT solver

Edit Boxes

Error criteria

The FFT solver error criterion is based on the ratio of the maximum change in the adjustment potential from the previous iteration to the maximum value of the potential. This ratio should decrease with increasing iterations and the computation ceases once it falls below the specified value. A value of 1.0E-5 will normally be adequate; smaller values will result in greater computation time.

Default: 1.0E-5

Maximum iterations

If the error criterion is not satisfied, the computation will cease after the specified maximum number of iterations. The calculation should normally take no more than 20 iterations.

Default: 100

Point relaxation

Edit Boxes

Error criteria

The point relaxation error criterion is based on the ratio of the maximum divergence in the adjusted wind field to a tenth of the maximum velocity gradient in the initial, unadjusted field. This ratio should decrease with increasing iterations and the computation ceases once it falls below the specified value. A value of 0.01 will normally be adequate; smaller values will result in greater computation time.

Default: 0.01

Maximum iterations

If the error criterion is not satisfied, the computation will cease after the specified maximum number of iterations. The calculation may take 200 to 300 iterations depending on the problem and the error criterion.

Default: 200

Vertical adjustment parameter

Edit Boxes

Minimum/Maximum

The vertical adjustment parameter accounts for atmospheric stability and is a function of temperature gradient and wind speed. Large positive temperature gradients and low wind speeds are associated with stable conditions, resulting in a small value of this parameter and relatively small adjustments in the vertical velocity. A value of 0 results in no vertical velocity and forces the wind to flow around hills rather than over them. A value of 1 corresponds to potential flow. Normally this parameter is computed internally based on temperature and wind speed, but setting maximum and minimum values can force certain flows such as purely horizontal or potential flow.

Default: 1e-3 and 1

SCIPUFF Vertical grid

List Box

Grid Points

A vertical grid for the mass-consistent wind field must be specified. A default grid is provided for typical atmospheric applications. Higher vertical resolution, particularly near the surface of topography with large slopes, can result in excessive computational effort.

Default: A generic grid created with a compromise between vertical extent, resolution, and size.

Push Buttons

Edit

Changes the selected grid point to a new value.

New

Adds a new grid point to the list.

Delete

Removes a selected grid point from the list.

Clear All

Removes all grid point values from the list.

Compute

Calculates grid points based on minimum and maximum heights and number of desired grid points.

Load

Copies grid points from a file into the list. This is an appending procedure, so the loaded values are added to those already in the list.

Save

Saves the grid point list to a file.


The SCIPUFFgui Interface

The main interface screen contains a tool bar with push buttons that allow you to review or edit the current project, create a new project, open an existing project, run the current project, or plot results. The tool bar also includes push buttons for help and exit. SCIPUFFgui will operate with the standard window's application keystroke convention.

What do you want help with?

• Project Review/Edit

• New Project

• Open Project

• Run SCIPUFF

• Plot


Time Reference

Time Reference

If the time reference is different from that specified in the TIME setup then the local time of 00:00z must be set there.

Radio Buttons

UTC

Specifies the time on the meteorology files to be in the Universal Time Convention, which is equivalent to Greenwich Mean Time (GMT or Z). UTC is the default time reference.

Local

Specifies the time on the meteorology files to be in local time.

NOTE: This data is not needed for all weather data types.


Time Setup

The Time section defines the start and end times, maximum timestep and output times for the dispersion calculation.

Time Editor

Push Buttons

Load

Copies an existing time section into the current project. This information is read from the input file, ProjectName.inp, specified through the OpenFile dialog box.

Default

Enters the default values into the edit boxes.

OK

Returns to the previous screen with the new time setup. A red check mark ( [image]) appears under the Time push button indicating that the time setup is complete.

Cancel

Returns to the previous screen without changes.

Time Description

Time reference

Radio Buttons

UTC

Specifies the SCIPUFFgui time to be in the Universal Time Convention, which is equivalent to Greenwich Mean Time (GMT or Z). UTC is the default time reference.

Local

Specifies the SCIPUFFgui time to be in local time.

Edit Boxes

Local time of 00:00Z

The local time (hours:minutes) of midnight UTC. This is used to convert the meteorology time if it uses a different convention. It is also used to determine some boundary layer parameters depending on boundary layer type.

Default: 00:00

Start time

Edit Boxes

Year, Month, Day, Hour

The start time for the SCIPUFFgui calculation. This determines the initial release time for the dispersion calculation.

Default: If Year, Month, Day are left blank, then the release is assumed to start on the first day in the meteorological file. If Year is less than 100, it is assumed to be between 1950 and 2049, e.g., setting Year to 1 is equivalent to 2001 and 99 is equivalent to 1999.

Stop time

This may be specified either by setting the time or calculation duration.

Edit Boxes

Year, Month, Day, Hour

The stop time for the SCIPUFFgui calculation. It is specified in the same way as the start time. Duration is automatically computed when this is set.

Default: 4 hours after the start time

Duration

The total calculation period for the SCIPUFFgui calculation. The stop time is automatically computed when this is set. Time duration units are chosen with the adjacent combo box.

Default: 4 hours

Time intervals

Edit Boxes

Maximum time step

The maximum timestep for the dispersion calculation. This should be chosen to smoothly resolve any meteorological variations, including the boundary layer. SCIPUFFgui uses an adaptive time step and reduces the step size as appropriate for each puff. The units for the time step can be changed with the adjacent combo box.

Default: 15 minutes

Output interval

The time interval between saved output. The output includes the instantaneous fields and optional surface integral fields (surface dose and/or surface deposition) The units for the output interval can be changed with the adjacent combo box.

Default: 2 hours

Restart time

List Box

Time

The time at which the current project is initialized when restarting from an existing project. This input area is shown for restarts only.


Titles for SCIPUFFgui Plots

Control

Push Buttons

Default

Resets all titles to their default values.

Cancel

Returns to the main plot screen without changes to the titles.

OK

Returns to the main plot screen with the new title settings.

Titles

Edit Boxes

Titles

There are three edit boxes for the upper, middle and lower titles.

Defaults:

Upper title: Project Title (see Audit Setup)

Middle title: Plot type

Lower title: material, size group if appropriate and time.

Positions

Edit Boxes

Upper, Middle, Lower

There are three sets of edit boxes for the horizontal and vertical positions of the three titles. The positions are specified in fractions of the plot window and refer to the location of the center of the title string baseline. The default locations center the titles above the plot.

Options

Check Boxes

Show Upper, Show Middle, Show Lower

There are three check boxes which control the drawing of the titles on the plot

Defaults

Check Boxes

Show date/time group

The time in day-month-year-hour format is displayed in the lower title (default title only).

Show run time

The time from the start of the run is displayed in the lower title (default title only).


Passive

 When the Passive option is selected, SCIPUFF calculates non-buoyant transport and diffusion, i.e. effluent particles move with the local air velocity.


Dynamics

 When the Dynamics option is selected, SCIPUFF calculates buoyancy and momentum rise effects.


Surface Description

 Surface Roughness Length, Meters, for various surfaces.
Surface Description zo (m)

Bare Ground, Sand Dunes, Water 0.0005
Nearly barren with low growing vegetation 0.001
Grassland, Cropland, Wetlands 0.01
Grassland with scattered trees, Scrub growth 0.05
Deciduous Forest, Villages, Forest Clearings 0.1
Mixed Forest, Towns, Cities 0.5
Coniferous Forest 1.0


Bowen Ratios

 Bowen Ratios for Land-use types and Seasons
(Average Moisture Conditions)
Land-use Type
Spring
Summer
Autumn
Winter
Water
0.1
0.1
0.1
  1. 5
Deciduous Forest
0.7
0.3
  1. 0
  1. 5
Coniferous Forest
0.7
0.3
0.8
  1. 5
Swamp
0.1
0.1
0.1
  1. 5
Cultivated Land
0.3
0.5
0.7
  1. 5
Grassland
0.4
0.8
  1. 0
  1. 5
Urban
  1. 0
  • 0
            • 2.0
    1. 5
    Desert Shrubland
            3.0
            4.0
            6.0
            6.0


Albedo

 Albedo of Natural Ground Covers for Land-use types and Seasons
Land-use Type
Spring
Summer
Autumn
Winter
Water | 0.12 | 0.10 | 0.14 | 0.20
Deciduous Forest | 0.12 | 0.12 | 0.12 | 0.50
Coniferous Forest | 0.12 | 0.12 | 0.12 | 0.35
Swamp | 0.12 | 0.14 | 0.16 | 0.30
Cultivated Land | 0.14 | 0.20 | 0.18 | 0.60
Grassland | 0.18 | 0.18 | 0.20 | 0.60
Urban | 0.14 | 0.16 | 0.18 | 0.35
Desert Shrubland | 0.30 | 0.28 | 0.28 | 0.45


Boundary Layer - Mixing Heights

 Assumed boundary layer mixing heights (ZI) as a function
of PGT or MOL (if ZI is not given in the observations file)
Stability Index
PGT
MOL (m)
ZI (m)
------------------------------------------------------------------------

A
-5
1000

B
-12.5
1000

C
-50
1000

D
-1000
1000

E
25
125

F
13
65

G
5
25


Deposition

 The surface deposition gives the mass deposited per unit area on the surface and is defined as
,
where vd is the deposition velocity, c is the concentration and zs is the surface elevation, which is zero for flat terrain.


Dose

 The surface dose gives the integrated dose appropriate for an inhalation type of exposure and is defined as
,
where c is the concentration and zs is the surface elevation, which is zero for flat terrain.


Upper Air Observations Only

Weather Description

Upper Air Observations

Push Button

Select

Allows the user to specify the upper air observations data file through the OpenFile dialog box.

Edit Box

Maximum number of nearest neighbors used to interpolate

The maximum number of observation locations (reporting data at a given time) that are used to interpolate the observations onto the meteorology grid. Decreasing this number will decrease the project run time.

Default: All - Standard observations

4 - Analysis or forecast

See Also:

Observational Input Format


Weather Data Types

Weather input is specified as one of four generic types: Fixed Winds, Observational, or Gridded.

Fixed Winds meteorology is specified with the wind speed and direction. The values are assumed to be given at 10 meters above the surface.

Observational data is characterized by irregularly spaced vertical profiles at irregularly spaced horizontal locations, as well as irregular reporting times. The observation locations, vertical and horizontal, and the number of locations can vary at any given time. Observational input may be specified with vertical profiles and/or single level surface data through separate files.

Gridded meteorological input (HPAC and MEDOC) is defined on a regularly spaced three-dimensional grid; time need not be regularly spaced. The gridded input option is intended for use with numerically-generated wind fields.

Weather data types:

• Fixed Winds

• Observations

• Surface observationsOnly

• Upper Air observations Only

• HPAC gridded data

• MEDOC gridded data


Zooming

The mouse pointer changes from an arrow to a magnifying glass when inside the plot box. The zooming region can be selected by depressing the left mouse button at one corner and dragging to the opposite corner. The limits of the zooming region, shown by the flashing box, are displayed in edit boxes on the left side of the plot area.

Control

Push Buttons

Zoom Out

Redraws the plot with the default axes.

Draw

Redraws the plot with the current zoom settings.

Cancel

Returns to the main plot screen without changing the axes.

OK

Returns to the main plot screen with the new axes settings.

Zoom

Edit Boxes

X,Y - Min and Max

The limits of the zoom area. (If these limits are edited here by the user, the flashing box on the plot will change to match.)

Default: NONE